<?php
// BlackBoard - PHP Internet Newsboard System
// Copyright 2003-4 by Yves Goergen
// Homepage: http://blackboard.unclassified.de
// See docs/LICENSE.txt for distribution/license details
//
// cp_config.inc.php
// Admin Control Panel (Board Configuration)
// This file is included in cp.inc.php


if ($item == 8 && CheckRights('is_admin'))   // General Configuration
{
	echo '<form action="' . $ME . sid(2) . '" method="post">';
	echo '<input type="hidden" name="action" value="edit" />';
	echo '<input type="hidden" name="id" value="' . $userid . '" />';
	echo '<input type="hidden" name="item" value="' . $item . '" />';

	echo '<table cellspacing="' . $TABLE['cp']['space'] . '" cellpadding="' . $TABLE['cp']['pad'] . '" border="' . $TABLE['cp']['border'] . '" width="100%">';
	echo '<colgroup>';
	echo '<col width="' . $width . '" />';
	echo '<col width="200" />';
	echo '<col />';
	echo '</colgroup>';

	echo '<tr>';
	echo '<td class="list_cp_head_left" colspan="2">' . $T['config'] . ': ' . $titles[$item - 1] . '</td>';
	echo '<td class="list_cp_head_right">&nbsp;</td>';
	echo '</tr>';

	// forum title, url, parent url

	$cols = rc('small_layout') ? 40 : 60;
	echo '<tr valign="top">';
	echo '<td class="list_cp_n"><label for="ForumTitle">' . $T['forum_title'] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="ForumTitle" name="ForumTitle" value="' . ($p ? $_POST['ForumTitle'] : t2h(rc('forum_title'))) . '" size="' . $cols . '" maxlength="100" /><br /><small>' . $T['forum_title_note'] . '</small></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n"><label for="HomeURL">' . $T['home_url'] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="HomeURL" name="HomeURL" value="' . ($p ? $_POST['HomeURL'] : t2h(rc('home_url'))) . '" size="' . $cols . '" maxlength="150" /></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_l"><label for="ParentURL">' . $T['parent_url'] . '</label></td>';
	echo '<td class="list_cp_l" colspan="2"><input type="text" class="text" id="ParentURL" name="ParentURL" value="' . ($p ? $_POST['ParentURL'] : t2h(rc('parent_url'))) . '" size="' . $cols .'" maxlength="150" /></td>';
	echo '</tr>';

	// database server settings

	echo '<tr>';
	echo '<td class="list_cp_d" colspan="3">' . $T['database_group'] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n"><label for="DbServer">' . $T['db_server'] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="DbServer" name="DbServer" value="' . ($p ? $_POST['DbServer'] : t2h(rc('db_server'))) . '" size="40" maxlength="100" /></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n"><label for="DbUser">' . $T['db_user'] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="DbUser" name="DbUser" value="' . ($p ? $_POST['DbUser'] : t2h(rc('db_user'))) . '" size="40" maxlength="40" /></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n"><label for="DbPass">' . $T['db_pass'] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="password" class="text" id="DbPass" name="DbPass" value="' . ($p ? $_POST['DbPass'] : (rc('db_pass') != '' ? '          ' : '')) . '" size="40" maxlength="40" /></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n"><label for="DbName">' . $T['db_name'] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="DbName" name="DbName" value="' . ($p ? $_POST['DbName'] : t2h(rc('db_name'))) . '" size="40" maxlength="40" /></td>';
	echo '</tr>';

	echo '<tr valign="top">';
	echo '<td class="list_cp_l"><label for="DbPrefix">' . $T['db_prefix'] . '</label></td>';
	echo '<td class="list_cp_l" colspan="2"><input type="text" class="text" id="DbPrefix" name="DbPrefix" value="' . ($p ? $_POST['DbPrefix'] : t2h(rc('db_prefix'))) . '" size="40" maxlength="40" /><br /><small>' . $T['db_prefix_note'] . '</small></td>';
	echo '</tr>';

	// SMTP server settings

	echo '<tr>';
	echo '<td class="list_cp_d" colspan="3">' . $T['smtp_group'] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n"><label for="SmtpServer">' . $T['smtp_server'] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="SmtpServer" name="SmtpServer" value="' . ($p ? $_POST['SmtpServer'] : t2h(rc('smtp_server'))) . '" size="40" maxlength="100" /></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n"><label for="SmtpSender">' . $T['smtp_sender'] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="SmtpSender" name="SmtpSender" value="' . ($p ? $_POST['SmtpSender'] : t2h(rc('smtp_sender'))) . '" size="40" maxlength="100" /></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n"><label for="SmtpUser">' . $T['smtp_user'] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="SmtpUser" name="SmtpUser" value="' . ($p ? $_POST['SmtpUser'] : t2h(rc('smtp_user'))) . '" size="40" maxlength="40" /></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_l"><label for="SmtpPass">' . $T['smtp_pass'] . '</label></td>';
	echo '<td class="list_cp_l" colspan="2"><input type="password" class="text" id="SmtpPass" name="SmtpPass" value="' . ($p ? $_POST['SmtpPass'] : (rc('smtp_pass') != '' ? '          ' : '')) . '" size="40" maxlength="40" /></td>';
	echo '</tr>';

	// Jabber settings

	echo '<tr>';
	echo '<td class="list_cp_d" colspan="3">' . $T['jabber_group'] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n"><label for="JabberServer">' . $T['jabber_server'] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="JabberServer" name="JabberServer" value="' . ($p ? $_POST['JabberServer'] : t2h(rc('jabber_server'))) . '" size="40" maxlength="100" /><br /><small>' . $T['jabber_server_note'] . '</small></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n"><label for="JabberUser">' . $T['jabber_user'] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="JabberUser" name="JabberUser" value="' . ($p ? $_POST['JabberUser'] : t2h(rc('jabber_user'))) . '" size="40" maxlength="40" /><br /><small>' . $T['jabber_user_note'] . '</small></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_l"><label for="JabberPass">' . $T['jabber_pass'] . '</label></td>';
	echo '<td class="list_cp_l" colspan="2"><input type="password" class="text" id="JabberPass" name="JabberPass" value="' . ($p ? $_POST['JabberPass'] : (rc('jabber_pass') != '' ? '          ' : '')) . '" size="40" maxlength="40" /></td>';
	echo '</tr>';

	// [Disabled ICQ transport]
	/*
	echo '<tr valign="top">';
	echo '<td class="list_cp_l"><label for="JabberICQ">' . $T['jabber_icq'] . '</label></td>';
	echo '<td class="list_cp_l" colspan="2"><input type="text" class="text" id="JabberICQ" name="JabberICQ" value="' . ($p ? $_POST['JabberICQ'] : t2h(rc('jabber_icq'))) . '" size="40" maxlength="100" /><br /><small>' . $T['jabber_icq_note'] . '</small></td>';
	echo '</tr>';
	*/

	// language

	echo '<tr>';
	echo '<td class="list_cp_d" colspan="3">' . $T['localisation_group'] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n"><label for="DefLanguage">' . $T['def_language'] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><select id="DefLanguage" name="DefLanguage" class="text">';

	$curr = $p ? $_POST['DefLanguage'] : rc('def_lang');
	foreach ($CFG['languages'] as $lang)
	{
		echo '<option value="' . $lang . '"' . ($curr == $lang ? ' selected="selected"' : '') . '>' .
			t2h($CFG['language_names'][$lang]) . ' (' . $lang . ')' .
			'</option>';
	}

	echo '</select></td>';
	echo '</tr>';

	// timezone offset/dst

	echo '<tr>';
	echo '<td class="list_cp_l"><label for="DefTimezone">' . $T['def_timezone'] . '</label></td>';
	echo '<td class="list_cp_l" colspan="2"><select id="DefTimezone" name="DefTimezone" class="text">';

	$curr = $p ? $_POST['DefTimezone'] : rc('tz_offset');
	$tz_a = array(-12, -11, -10, -9, -8, -7, -6, -5, -4, -3.5, -3, -2, -1, 0, 1, 2, 3, 3.5, 4, 4.5, 5, 5.5, 5.75, 6, 6.5, 7, 8, 9, 9.5, 10, 11, 12, 13);
	foreach ($tz_a as $tz)
	{
		$tz4 = $tz * 4;

		$tz_hr = str_pad(abs(intval($tz)), 2, '0', STR_PAD_LEFT);
		$tz_min = (abs($tz) * 60) % 60;

		$tzn = ($tz >= 0 ? '+' : '-') . $tz_hr;
		$tzn .= ':' . str_pad($tz_min, 2, '0', STR_PAD_LEFT);
		$tzn .=  ' ' . $T['hours'];

		echo '<option value="' . $tz4 . '"' . ($curr == $tz4 ? ' selected="selected"' : '') . '>UTC ' . $tzn . '</option>';
	}

	echo '</select>';
	if (rc('small_layout')) echo '<br />';
	else                    echo ' &nbsp; ';

	$curr = $p ? $_POST['DefTimezoneDS'] : rc('tz_dst');
	echo '<input type="checkbox" class="radio" id="DefTimezoneDS" name="DefTimezoneDS" value="1"' . ($curr == 1 ? ' checked="checked"' : '') . ' /><label for="DefTimezoneDS">' . $T['adjust_for_ds_time'] . '</label>';
	echo '</td>';
	echo '</tr>';

	// ---

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="submit" class="button" name="Save" value="' . $T['save'] . '" /></td>';
	echo '</tr>';

	echo '</table>';

	echo '</form>';
}
elseif ($item == 9 && CheckRights('is_admin'))   // Appearance Configuration
{
	echo '<form action="' . $ME . sid(2) . '" method="post">';
	echo '<input type="hidden" name="action" value="edit" />';
	echo '<input type="hidden" name="id" value="' . $userid . '" />';
	echo '<input type="hidden" name="item" value="' . $item . '" />';

	echo '<table cellspacing="' . $TABLE['cp']['space'] . '" cellpadding="' . $TABLE['cp']['pad'] . '" border="' . $TABLE['cp']['border'] . '" width="100%">';
	echo '<colgroup>';
	echo '<col width="' . $width . '" />';
	echo '<col width="200" />';
	echo '<col />';
	echo '</colgroup>';

	echo '<tr>';
	echo '<td class="list_cp_head_left" colspan="2">' . $T['config'] . ': ' . $titles[$item - 1] . '</td>';
	echo '<td class="list_cp_head_right">&nbsp;</td>';
	echo '</tr>';

	// threads/posts/users per page

	echo '<tr>';
	echo '<td class="list_cp_d" colspan="3">' . $T['cp_app_general_things'] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n">' . $T['threads_per_page'] . '</td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" name="ThreadsPerPage" value="' . ($p ? $_POST['ThreadsPerPage'] : t2h(rc('threads_per_page'))) . '" size="5" maxlength="5" /> &nbsp; <small>0: ' . $T['all_on_one_page'] . '</small></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n">' . $T['posts_per_page'] . '</td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" name="PostsPerPage" value="' . ($p ? $_POST['PostsPerPage'] : t2h(rc('posts_per_page'))) . '" size="5" maxlength="5" /> &nbsp; <small>0: ' . $T['all_on_one_page'] . '</small></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n">' . $T['users_per_page'] . '</td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" name="UsersPerPage" value="' . ($p ? $_POST['UsersPerPage'] : t2h(rc('users_per_page'))) . '" size="5" maxlength="5" /> &nbsp; <small>0: ' . $T['all_on_one_page'] . '</small></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n">' . $T['posts_for_hot_thread'] . '</td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" name="HotThreadPosts" value="' . ($p ? $_POST['HotThreadPosts'] : t2h(rc('hot_thread_posts'))) . '" size="5" maxlength="5" /> &nbsp; <small>0: ' . $T['deactivated'] . '</small></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_l">' . $T['views_for_hot_thread'] . '</td>';
	echo '<td class="list_cp_l" colspan="2"><input type="text" class="text" name="HotThreadViews" value="' . ($p ? $_POST['HotThreadViews'] : t2h(rc('hot_thread_views'))) . '" size="5" maxlength="5" /> &nbsp; <small>0: ' . $T['deactivated'] . '</small></td>';
	echo '</tr>';

	// default design

	echo '<tr>';
	echo '<td class="list_cp_n">' . $T['default_design'] . '</td>';
	echo '<td class="list_cp_n" colspan="2"><select class="text" name="DefDesign">';
	for ($n = 0; $n < $DESIGN['count']; $n++)
	{
		echo '<option value="' . $n . '"' . ($p && $_POST['DefDesign'] == $n || !$p && rc('design') == $n ? ' selected="selected"' : '') . '>';
		echo t2h($DESIGN['name'][$n]);
		echo '</option>';
	}
	echo '</select></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_l" colspan="3"><input type="checkbox" class="radio" name="NewLayout" id="NewLayout" value="1"' . (($p ? $_POST['NewLayout'] : rc('new_layout')) ? ' checked="checked"' : '') . ' /><label for="NewLayout">' . $T['new_layout'] . '</label> &nbsp; <small>(' . $T['new_layout_note'] . ')</small></td>';
	echo '</tr>';

	// nav_line, login_top, show_online_users, foot_line, foot_db_time, show_goto_forum, show_search_forum, ...

	echo '<tr>';
	echo '<td class="list_cp_d" colspan="3">' . $T['cp_app_site_frame'] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="SmallLayout" id="SmallLayout" value="1"' . (($p ? $_POST['SmallLayout'] : rc('small_layout')) ? ' checked="checked"' : '') . ' /><label for="SmallLayout">' . $T['small_layout'] . '</label></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="NavLine" id="NavLine" value="1"' . (($p ? $_POST['NavLine'] : rc('nav_line')) ? ' checked="checked"' : '') . ' /><label for="NavLine">' . $T['show_nav_line'] . '</label> &nbsp; <small>(' . $T['show_nav_line_note'] . ')</small></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="LoginTop" id="LoginTop" value="1"' . (($p ? $_POST['LoginTop'] : rc('login_top')) ? ' checked="checked"' : '') . ' /><label for="LoginTop">' . $T['show_login_top'] . '</label> &nbsp; <small>(' . $T['otherwise_at_bottom'] . ')</small></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="ShowFootLine" id="ShowFootLine" value="1"' . (($p ? $_POST['ShowFootLine'] : rc('foot_line')) ? ' checked="checked"' : '') . ' /><label for="ShowFootLine">' . $T['show_foot_line'] . '</label></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_l" colspan="3"><input type="checkbox" class="radio" name="FootLineDbTime" id="FootLineDbTime" value="1"' . (($p ? $_POST['FootLineDbTime'] : rc('foot_db_time')) ? ' checked="checked"' : '') . ' /><label for="FootLineDbTime">' . $T['foot_line_dbtime'] . '</label></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_d" colspan="3">' . $T['cp_app_little_helpers'] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="ShowGotoForum" id="ShowGotoForum" value="1"' . (($p ? $_POST['ShowGotoForum'] : rc('show_goto_forum')) ? ' checked="checked"' : '') . ' /><label for="ShowGotoForum">' . $T['show_goto_forum'] . '</label></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="ShowSearchForum" id="ShowSearchForum" value="1"' . (($p ? $_POST['ShowSearchForum'] : rc('show_search_forum')) ? ' checked="checked"' : '') . ' /><label for="ShowSearchForum">' . $T['show_search_forum'] . '</label></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_l" colspan="3"><input type="checkbox" class="radio" name="PostShowTextlength" id="PostShowTextlength" value="1"' . (($p ? $_POST['PostShowTextlength'] : rc('post_show_textlength')) ? ' checked="checked"' : '') . ' /><label for="PostShowTextlength">' . $T['post_show_textlength'] . '</label></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_d" colspan="3">' . $T['cp_app_cpueating_details'] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="OwnPostsInThreadlist" id="OwnPostsInThreadlist" value="1"' . (($p ? $_POST['OwnPostsInThreadlist'] : rc('own_posts_in_threadlist')) ? ' checked="checked"' : '') . ' /><label for="OwnPostsInThreadlist">' . $T['own_posts_in_threadlist'] . '</label></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="DisplayThreadStartdate" id="DisplayThreadStartdate" value="1"' . (($p ? $_POST['DisplayThreadStartdate'] : rc('display_thread_startdate')) ? ' checked="checked"' : '') . ' /><label for="DisplayThreadStartdate">' . $T['display_thread_startdate'] . '</label></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="AdvancedThreadCounter" id="AdvancedThreadCounter" value="1"' . (($p ? $_POST['AdvancedThreadCounter'] : rc('advanced_thread_counter')) ? ' checked="checked"' : '') . ' /><label for="AdvancedThreadCounter">' . $T['advanced_thread_counter'] . '</label> &nbsp; <small>(' . $T['advanced_thread_counter_note'] . ')</small></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="CountThreadViews" id="CountThreadViews" value="1"' . (($p ? $_POST['CountThreadViews'] : rc('count_thread_views')) ? ' checked="checked"' : '') . ' /><label for="CountThreadViews">' . $T['count_thread_views'] . '</label></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="DisplayThreadLastposter" id="DisplayThreadLastposter" value="1"' . (($p ? $_POST['DisplayThreadLastposter'] : rc('display_thread_lastposter')) ? ' checked="checked"' : '') . ' /><label for="DisplayThreadLastposter">' . $T['display_thread_lastposter'] . '</label></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="CountForumThreadsPosts" id="CountForumThreadsPosts" value="1"' . (($p ? $_POST['CountForumThreadsPosts'] : rc('count_forum_threads_posts')) ? ' checked="checked"' : '') . ' /><label for="CountForumThreadsPosts">' . $T['count_forum_threads_posts'] . '</label></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="DisplayForumLastpost" id="DisplayForumLastpost" value="1"' . (($p ? $_POST['DisplayForumLastpost'] : rc('display_forum_lastpost')) ? ' checked="checked"' : '') . ' /><label for="DisplayForumLastpost">' . $T['display_forum_lastpost'] . '</label></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="ShowOnlineUsers" id="ShowOnlineUsers" value="1"' . (($p ? $_POST['ShowOnlineUsers'] : rc('show_online_users')) ? ' checked="checked"' : '') . ' /><label for="ShowOnlineUsers">' . $T['show_online_users'] . '</label> &nbsp; <small>(' . $T['show_online_users_note'] . ')</small></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_l" colspan="3"><input type="checkbox" class="radio" name="EnableTraceUsers" id="EnableTraceUsers" value="1"' . (($p ? $_POST['EnableTraceUsers'] : rc('enable_trace_users')) ? ' checked="checked"' : '') . ' /><label for="EnableTraceUsers">' . $T['enable_trace_users'] . '</label> &nbsp; <small>(' . $T['enable_trace_users_note'] . ')</small></td>';
	echo '</tr>';

	// user details

	echo '<tr>';
	echo '<td class="list_cp_d" colspan="3">' . $T['cp_app_user_details'] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="ShowUTitle" id="ShowUTitle" value="1"' . (($p ? $_POST['ShowUTitle'] : rc('show_utitle')) ? ' checked="checked"' : '') . ' /><label for="ShowUTitle">' . $T['show_utitle'] . '</label></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="ShowUInfoRegdate" id="ShowUInfoRegdate" value="1"' . (($p ? $_POST['ShowUInfoRegdate'] : rc('show_uinfo_regdate')) ? ' checked="checked"' : '') . ' /><label for="ShowUInfoRegdate">' . $T['show_uinfo_regdate'] . '</label></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="ShowUInfoPosts" id="ShowUInfoPosts" value="1"' . (($p ? $_POST['ShowUInfoPosts'] : rc('show_uinfo_posts')) ? ' checked="checked"' : '') . ' /><label for="ShowUInfoPosts">' . $T['show_uinfo_posts'] . '</label></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_l" colspan="3"><input type="checkbox" class="radio" name="ShowUInfoLocation" id="ShowUInfoLocation" value="1"' . (($p ? $_POST['ShowUInfoLocation'] : rc('show_uinfo_location')) ? ' checked="checked"' : '') . ' /><label for="ShowUInfoLocation">' . $T['show_uinfo_location'] . '</label></td>';
	echo '</tr>';

	// smilies, special chars

	echo '<tr>';
	echo '<td class="list_cp_d" colspan="3">' . $T['cp_app_smilies'] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="checkbox" class="radio" name="PostUseRcol" id="PostUseRcol" value="1"' . (($p ? $_POST['PostUseRcol'] : rc('post_use_rcol')) ? ' checked="checked"' : '') . ' /><label for="PostUseRcol">' . $T['post_use_rcol'] . '</label></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n">' . $T['show_smilies'] . '</td>';
	echo '<td class="list_cp_n" colspan="2"><input type="checkbox" class="radio" name="ShowSmilies" id="ShowSmilies" value="1"' . (($p ? $_POST['ShowSmilies'] : rc('smilies')) ? ' checked="checked"' : '') . ' /><label for="ShowSmilies">' . $T['activated'] . '</label> &nbsp; <input type="text" class="text" name="SmilieCols" value="' . ($p ? $_POST['SmilieCols'] : t2h(rc('smilie_cols'))) . '" size="3" maxlength="3" /> ' . $T['cols'] . ' &times; <input type="text" class="text" name="SmilieRows" value="' . ($p ? $_POST['SmilieRows'] : t2h(rc('smilie_rows'))) . '" size="3" maxlength="3" /> ' . $T['rows'] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_l">' . $T['show_special_chars'] . '</td>';
	echo '<td class="list_cp_l" colspan="2"><input type="checkbox" class="radio" name="ShowSpecialChars" id="ShowSpecialChars" value="1"' . (($p ? $_POST['ShowSpecialChars'] : rc('special_chars')) ? ' checked="checked"' : '') . ' /><label for="ShowSpecialChars">' . $T['activated'] . '</label> &nbsp; <input type="text" class="text" name="SpecialCols" value="' . ($p ? $_POST['SpecialCols'] : t2h(rc('special_cols'))) . '" size="3" maxlength="3" /> ' . $T['cols'] . ' &times; <input type="text" class="text" name="SpecialRows" value="' . ($p ? $_POST['SpecialRows'] : t2h(rc('special_rows'))) . '" size="3" maxlength="3" /> ' . $T['rows'] . '</td>';
	echo '</tr>';

	// location_link, poll_current_days, quote_with_date

	echo '<tr>';
	echo '<td class="list_cp_d" colspan="3">' . $T['cp_other_stuff'] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n">' . $T['location_link'] . '</td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" name="LocationLink" value="' . ($p ? $_POST['LocationLink'] : t2h(rc('location_link'))) . '" size="40" maxlength="200" />';
	if (rc('small_layout')) echo '<br />'; else echo ' &nbsp; ';
	echo '<small>' . $T['location_link_note'] . '</small></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n"><label for="PollCurrentDays">' . $T['poll_current_days'] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="PollCurrentDays" name="PollCurrentDays" value="' . ($p ? $_POST['PollCurrentDays'] : t2h(rc('poll_current_days'))) . '" size="3" maxlength="3" /> ' .  $T['days'] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_l"><label for="QuoteWithDate">' . $T['quote_with_date'] . '</label></td>';
	echo '<td class="list_cp_l" colspan="2"><input type="text" class="text" id="QuoteWithDate" name="QuoteWithDate" value="' . ($p ? $_POST['QuoteWithDate'] : t2h(rc('quote_with_date'))) . '" size="3" maxlength="3" /> ' .  $T['days'] . '</td>';
	echo '</tr>';

	// ---

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="submit" class="button" name="Save" value="' . $T['save'] . '" /></td>';
	echo '</tr>';

	echo '</table>';

	echo '</form>';
}
elseif ($item == 10 && CheckRights('is_admin'))   // Security Configuration
{
	echo '<form action="' . $ME . sid(2) . '" method="post">';
	echo '<input type="hidden" name="action" value="edit" />';
	echo '<input type="hidden" name="id" value="' . $userid . '" />';
	echo '<input type="hidden" name="item" value="' . $item . '" />';

	echo '<table cellspacing="' . $TABLE['cp']['space'] . '" cellpadding="' . $TABLE['cp']['pad'] . '" border="' . $TABLE['cp']['border'] . '" width="100%">';
	echo '<colgroup>';
	echo '<col width="' . $width . '" />';
	echo '<col width="200" />';
	echo '<col />';
	echo '</colgroup>';

	echo '<tr>';
	echo '<td class="list_cp_head_left" colspan="2">' . $T['config'] . ': ' . $titles[$item - 1] . '</td>';
	echo '<td class="list_cp_head_right">&nbsp;</td>';
	echo '</tr>';

	// new_user_validation

	$x = ($p ? $_POST['NewUserValidation'] : rc('new_user_validation'));
	echo '<tr valign="top">';
	echo '<td class="list_cp_l">' . $T[new_user_validation] . '</td>';
	echo '<td class="list_cp_l" colspan="2"><input type="radio" class="radio" name="NewUserValidation" id="NewUserValidation0" value="0" ' . ($x == 0 ? 'checked="checked"' : '') . ' /><label for="NewUserValidation0">' . $T[temp_disabled] . '</label><br />';
	echo '<input type="radio" class="radio" name="NewUserValidation" id="NewUserValidation1" value="1"' . ($x == 1 ? ' checked="checked"' : '') . ' /><label for="NewUserValidation1">' . $T[immediately] . '</label><br />';
	echo '<input type="radio" class="radio" name="NewUserValidation" id="NewUserValidation2" value="2"' . ($x == 2 ? ' checked="checked"' : '') . ' /><label for="NewUserValidation2">' . $T[validate_per_email] . '</label><br />';
	echo '<input type="radio" class="radio" name="NewUserValidation" id="NewUserValidation3" value="3"' . ($x == 3 ? ' checked="checked"' : '') . ' /><label for="NewUserValidation3">' . $T[validate_manually] . '</label><br />';
	/* echo '<input type="radio" class="radio" name="NewUserValidation" id="NewUserValidation4" value="4"' . ($x == 4 ? 'checked="checked"' : '') . ' /><label for="NewUserValidation4">' . $T[user_recommendation] . '</label>'; */
	echo '</td>';
	echo '</tr>';

	// avatars/photos, max size
	echo '<tr>';
	echo '<td class="list_cp_n">' . $T[avatar_function_size] . '</td>';
	echo '<td class="list_cp_n" colspan="2"><input type="checkbox" class="radio" id="AvatarsEnabled" name="AvatarsEnabled" value="1" ' . ($p ? ($_POST['AvatarsEnabled'] ? 'checked="checked"' : '') : (rc('avatars_enabled') ? 'checked="checked"' : '')) . ' /><label for="AvatarsEnabled">' . $T[activated] . '</label> &nbsp; <input type="text" class="text" name="AvatarX" value="' . ($p ? $_POST['AvatarX'] : t2h(rc('avatar_x'))) . '" size="4" maxlength="5" />&times;<input type="text" class="text" name="AvatarY" value="' . ($p ? $_POST['AvatarY'] : t2h(rc('avatar_y'))) . '" size="4" maxlength="5" /> ' .  $T[pixels] . ', <input type="text" class="text" name="AvatarBytes" value="' . ($p ? $_POST['AvatarBytes'] : t2h(rc('avatar_bytes'))) . '" size="6" maxlength="7" /> ' . $T[bytes] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n">' . $T[photo_function_size] . '</td>';
	echo '<td class="list_cp_n" colspan="2"><input type="checkbox" class="radio" id="PhotosEnabled" name="PhotosEnabled" value="1" ' . ($p ? ($_POST['PhotosEnabled'] ? 'checked="checked"' : '') : (rc('photos_enabled') ? 'checked="checked"' : '')) . ' /><label for="PhotosEnabled">' . $T[activated] . '</label> &nbsp; <input type="text" class="text" name="PhotoX" value="' . ($p ? $_POST['PhotoX'] : t2h(rc('photo_x'))) . '" size="4" maxlength="5" />&times;<input type="text" class="text" name="PhotoY" value="' . ($p ? $_POST['PhotoY'] : t2h(rc('photo_y'))) . '" size="4" maxlength="5" /> ' .  $T[pixels] . ', <input type="text" class="text" name="PhotoBytes" value="' . ($p ? $_POST['PhotoBytes'] : t2h(rc('photo_bytes'))) . '" size="6" maxlength="7" /> ' . $T[bytes] . '</td>';
	echo '</tr>';

	// max post len, sig size, attach size
	echo '<tr>';
	echo '<td class="list_cp_n"><label for="MaxPostLen">' . $T[max_post_length] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="MaxPostLen" name="MaxPostLen" value="' . ($p ? $_POST['MaxPostLen'] : t2h(rc('max_post_len'))) . '" size="7" maxlength="7" /> ' . $T[chars] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n"><label for="MaxSigLen">' . $T[max_signature_length] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="MaxSigLen" name="MaxSigLen" value="' . ($p ? $_POST['MaxSigLen'] : t2h(rc('max_sig_len'))) . '" size="7" maxlength="7" /> ' . $T[chars] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_l"><label for="AttachBytes">' . $T[attachment_size] . '</label></td>';
	echo '<td class="list_cp_l" colspan="2"><input type="text" class="text" id="AttachBytes" name="AttachBytes" value="' . ($p ? $_POST['AttachBytes'] : t2h(rc('attach_bytes'))) . '" size="8" maxlength="8" /> ' . $T[bytes] . ' &nbsp; <small>0: ' . $T[deactivates_post_attachments] . '</small></td>';
	echo '</tr>';

	// prog_id

	echo '<tr valign="top">';
	echo '<td class="list_cp_l"><label for="ProgID">' . $T[prog_id] . '</label></td>';
	echo '<td class="list_cp_l" colspan="2"><input type="text" class="text" id="ProgID" name="ProgID" value="' . ($p ? $_POST['ProgID'] : t2h(rc('prog_id'))) . '" size="20" maxlength="20" /><br /><small>' . $T[prog_id_note] . '</small></td>';
	echo '</tr>';

	// [dis]allowed names/e-mails

	$cols = rc('small_layout') ? 40 : 70;
	echo '<tr valign="top">';
	echo '<td class="list_cp_n"><label for="DisallowedUsernames">' . $T[disallowed_usernames] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="DisallowedUsernames" name="DisallowedUsernames" value="' . ($p ? $_POST['DisallowedUsernames'] : t2h(rc('disallowed_usernames'))) . '" size="' . $cols . '" maxlength="300" /></td>';
	echo '</tr>';

	echo '<tr valign="top">';
	echo '<td class="list_cp_n"><label for="DisallowedEmails">' . $T[disallowed_emails] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="DisallowedEmails" name="DisallowedEmails" value="' . ($p ? $_POST['DisallowedEmails'] : t2h(rc('disallowed_emails'))) . '" size="' . $cols . '" maxlength="300" /><br /><small>' . $T[disallowed_names_note] . '</small></td>';
	echo '</tr>';

	echo '<tr valign="top">';
	echo '<td class="list_cp_l"><label for="AllowedEmailDomains">' . $T[allowed_email_domains] . '</label></td>';
	echo '<td class="list_cp_l" colspan="2"><input type="text" class="text" id="AllowedEmailDomains" name="AllowedEmailDomains" value="' . ($p ? $_POST['AllowedEmailDomains'] : t2h(rc('allowed_email_domains'))) . '" size="' . $cols . '"  maxlength="300" /><br /><small>' . $T[allowed_names_note] . '</small></td>';
	echo '</tr>';

	// password security

	echo '<tr>';
	echo '<td class="list_cp_d" colspan="3">' . $T[password_security_group] . '</td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n"><label for="PassMinLength">' . $T[pass_minlength] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="PassMinLength" name="PassMinlength" value="' . ($p ? $_POST['PassMinlength'] : t2h(rc('pass_minlength'))) . '" size="3" maxlength="3" /> ' . $T[chars] . '</td>';
	echo '</tr>';

	echo '<tr valign="top">';
	echo '<td class="list_cp_n"><label for="PassNotusername">' . $T[pass_notusername] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="checkbox" class="radio" id="PassNotusername" name="PassNotusername" value="1" ' . ($p ? ($_POST['PassNotusername'] ? 'checked="checked"' : '') : (rc('pass_notusername') ? 'checked="checked"' : '')) . ' /> &nbsp; <small>' . $T[pass_notusername_note] . '</small></td>';
	echo '</tr>';

	echo '<tr valign="top">';
	echo '<td class="list_cp_n"><label for="PassNeednumber">' . $T[pass_neednumber] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="checkbox" class="radio" id="PassNeednumber" name="PassNeednumber" value="1" ' . ($p ? ($_POST['PassNeednumber'] ? 'checked="checked"' : '') : (rc('pass_neednumber') ? 'checked="checked"' : '')) . ' /> &nbsp; <small>' . $T[pass_neednumber_note] . '</small></td>';
	echo '</tr>';

	echo '<tr valign="top">';
	echo '<td class="list_cp_l"><label for="PassNeedspecial">' . $T[pass_needspecial] . '</label></td>';
	echo '<td class="list_cp_l" colspan="2"><input type="checkbox" class="radio" id="PassNeedspecial" name="PassNeedspecial" value="1" ' . ($p ? ($_POST['PassNeedspecial'] ? 'checked="checked"' : '') : (rc('pass_needspecial') ? 'checked="checked"' : '')) . ' /> &nbsp; <small>' . $T[pass_needspecial_note] . '</small></td>';
	echo '</tr>';

	// ---

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="submit" class="button" name="Save" value="' . $T[save] . '" /></td>';
	echo '</tr>';

	echo '</table>';

	echo '</form>';
}
elseif ($item == 11 && CheckRights('is_admin'))   // Advanced Configuration
{
	echo '<form action="' . $ME . sid(2) . '" method="post">';
	echo '<input type="hidden" name="action" value="edit" />';
	echo '<input type="hidden" name="id" value="' . $userid . '" />';
	echo '<input type="hidden" name="item" value="' . $item . '" />';

	echo '<table cellspacing="' . $TABLE['cp']['space'] . '" cellpadding="' . $TABLE['cp']['pad'] . '" border="' . $TABLE['cp']['border'] . '" width="100%">';
	echo '<colgroup>';
	echo '<col width="' . $width . '" />';
	echo '<col width="200" />';
	echo '<col />';
	echo '</colgroup>';

	echo '<tr>';
	echo '<td class="list_cp_head_left" colspan="2">' . $T[config] . ': ' . $titles[$item - 1] . '</td>';
	echo '<td class="list_cp_head_right">&nbsp;</td>';
	echo '</tr>';

	// extra_names

	$cols = rc('small_layout') ? 40 : 70;
	echo '<tr valign="top">';
	echo '<td class="list_cp_l"><label for="ExtraNames">' . $T[extra_names] . '</label></td>';
	echo '<td class="list_cp_l" colspan="2"><input type="text" class="text" id="ExtraNames" name="ExtraNames" value="' . ($p ? $_POST['ExtraNames'] : t2h(rc('extra_names'))) . '" size="' . $cols . '" maxlength="300" /><br /><small>' . str_replace('%n', GetExtraDBCols(), $T['extra_names_note']) . '</small></td>';
	echo '</tr>';

	// paths

	echo '<tr valign="top">';
	echo '<td class="list_cp_n"><label for="LibPath">' . $T[lib_path] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="LibPath" name="LibPath" value="' . ($p ? $_POST['LibPath'] : t2h(rc('lib_path'))) . '" size="40" maxlength="100" /></td>';
	echo '</tr>';

	echo '<tr valign="top">';
	echo '<td class="list_cp_n"><label for="DesignPath">' . $T[design_path] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="DesignPath" name="DesignPath" value="' . ($p ? $_POST['DesignPath'] : t2h(rc('design_path'))) . '" size="40" maxlength="100" /></td>';
	echo '</tr>';

	echo '<tr valign="top">';
	echo '<td class="list_cp_n"><label for="AvatarPath">' . $T[avatar_path] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="AvatarPath" name="AvatarPath" value="' . ($p ? $_POST['AvatarPath'] : t2h(rc('avatar_path'))) . '" size="40" maxlength="100" /></td>';
	echo '</tr>';

	echo '<tr valign="top">';
	echo '<td class="list_cp_n"><label for="PhotoPath">' . $T[photo_path] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="PhotoPath" name="PhotoPath" value="' . ($p ? $_POST['PhotoPath'] : t2h(rc('photo_path'))) . '" size="40" maxlength="100" /></td>';
	echo '</tr>';

	echo '<tr valign="top">';
	echo '<td class="list_cp_n"><label for="AttachPath">' . $T[attach_path] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="AttachPath" name="AttachPath" value="' . ($p ? $_POST['AttachPath'] : t2h(rc('attach_path'))) . '" size="40" maxlength="100" /></td>';
	echo '</tr>';

	echo '<tr valign="top">';
	echo '<td class="list_cp_l"><label for="LogPath">' . $T[log_path] . '</label></td>';
	echo '<td class="list_cp_l" colspan="2"><input type="text" class="text" id="LogPath" name="LogPath" value="' . ($p ? $_POST['LogPath'] : t2h(rc('log_path'))) . '" size="40" maxlength="100" /></td>';
	echo '</tr>';

	// show_sql, admin_lock, read_ony, enable_icq, enable_jabber

	echo '<tr valign="top">';
	echo '<td class="list_cp_n"><label for="ShowSQL">' . $T[show_sql] . '</label></td>';
	echo '<td class="list_cp_n" colspan="2"><input type="text" class="text" id="ShowSQL" name="ShowSQL" value="' . ($p ? $_POST['ShowSQL'] : t2h(rc('show_sql'))) . '" size="6" maxlength="6" /> &nbsp; <small>' . $T[show_sql_note] . '</small></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n">' . $T[admin_lock] . '</td>';
	echo '<td class="list_cp_n" colspan="2"><input type="checkbox" class="radio" id="AdminLock" name="AdminLock" value="1"' . (($p ? $_POST['AdminLock'] : rc('admin_lock')) ? ' checked="checked"' : '') . ' /><label for="AdminLock">' . $T[activated] . '</label></td>';
	echo '</tr>';

	$cols = rc('small_layout') ? 40 : 70;
	$message = new IMessage;
	if ($message->Find(-1)) $MaintenanceMsg = $message->GetMsg();
	else                    $MaintenanceMsg = '';
	echo '<tr>';
	echo '<td class="list_cp_n">&nbsp;</td>';
	echo '<td class="list_cp_n" colspan="2">' . $T[message] . ':<br /><textarea class="text" name="MaintenanceMsg" cols="' . $cols . '" rows="3">' . ($p ? t2h($_POST['MaintenanceMsg']) : t2h($MaintenanceMsg)) . '</textarea></td>';
	echo '</tr>';

	echo '<tr>';
	echo '<td class="list_cp_n">' . $T[read_only] . '</td>';
	echo '<td class="list_cp_n" colspan="2"><input type="checkbox" class="radio" id="ReadOnly" name="ReadOnly" value="1"' . (($p ? $_POST['ReadOnly'] : rc('read_only')) ? ' checked="checked"' : '') . ' /><label for="ReadOnly">' . $T[activated] . '</label></td>';
	echo '</tr>';

	// [Disabled ICQ notification]
	/*
	echo '<tr>';
	echo '<td class="list_cp_n">' . $T[enable_icq] . '</td>';
	echo '<td class="list_cp_n" colspan="2"><input type="checkbox" class="radio" id="EnableICQ" name="EnableICQ" value="1"' . (($p ? $_POST['EnableICQ'] : rc('enable_icq')) ? ' checked="checked"' : '') . ' /><label for="EnableICQ">' . $T[activated] . '</label></td>';
	echo '</tr>';
	*/

	echo '<tr>';
	echo '<td class="list_cp_l">' . $T[enable_jabber] . '</td>';
	echo '<td class="list_cp_l" colspan="2"><input type="checkbox" class="radio" id="EnableJabber" name="EnableJabber" value="1"' . (($p ? $_POST['EnableJabber'] : rc('enable_jabber')) ? ' checked="checked"' : '') . ' /><label for="EnableJabber">' . $T[activated] . '</label></td>';
	echo '</tr>';

	// ---

	echo '<tr>';
	echo '<td class="list_cp_n" colspan="3"><input type="submit" class="button" name="Save" value="' . $T[save] . '" /></td>';
	echo '</tr>';

	echo '</table>';

	echo '</form>';
}

?>