<?php
# BlackBoard - PHP Internet Newsboard System
# Copyright 2003-4 by Yves Goergen
# Homepage: http://blackboard.unclassified.de
# See docs/LICENSE.txt for distribution/license details
#
# board.conf.php
# BlackBoard configuration text file
# This file is protected by the .php file extension
#
# This file can be stored UTF-8 encoded. If you do so, the EFBBBF mark at the
# file beginning will be used to determine this. If you store this file ANSI
# encoded, all values will be UTF-8 encoded at read time, when appropriate.

# ---- general settings ----

forum_title = BlackBoard
home_url =
parent_url =

db_server = localhost
db_user =
db_pass =
db_name =
db_prefix = bb1_

smtp_server = localhost
smtp_sender = mail@localhost
smtp_user =
smtp_pass =

jabber_server = jabber.com
jabber_user =
jabber_pass =
jabber_icq =

def_lang = en
tz_offset = 4
tz_dst = 1

# ---- appearance settings ----

threads_per_page = 30
posts_per_page = 15
users_per_page = 20
hot_thread_posts = 15
hot_thread_views = 250

design_list = textonly | standard | classic | neartext_gray
design_textonly = 0
design = 1

nav_line = 1
show_login = 1
login_top = 1
show_online_users = 1
foot_line = 1
foot_db_time = 0
show_goto_forum = 1
show_search_forum = 1
post_show_textlength = 1
small_layout = 0

own_posts_in_threadlist = 1
display_thread_startdate = 1
advanced_thread_counter = 1
count_thread_views = 1
display_thread_lastposter = 1
count_forum_threads_posts = 1
display_forum_lastpost = 1
new_layout = 1
show_utitle = 1
show_uinfo_regdate = 1
show_uinfo_posts = 1
show_uinfo_location = 0
enable_trace_users = 1
show_bookmarked_thread = 1

ulist_regdate = 1
ulist_contact = 1
ulist_location = 1
ulist_posts = 1
ulist_lastpost = 1

post_use_rcol = 1
smilies = 1
smilie_cols = 5
smilie_rows = 5
special_chars = 1
special_cols = 13
special_rows = 3

location_link = http://www.map24.de/map24/?city0=%s
poll_current_days = 14
quote_with_date = 1

# ----- security settings -----

new_user_validation = 2

avatars_enabled = 1
avatar_x = 100
avatar_y = 60
avatar_bytes = 16384
photos_enabled = 1
photo_x = 300
photo_y = 250
photo_bytes = 40960

max_post_len = 10000
max_sig_len = 600
attach_bytes = 512000
attach_exts = txt | jpg | jpeg | gif | png | zip

prog_id = bb1

disallowed_usernames = *admin
disallowed_emails = @mailinator.com | @fastacura.com | @fastchevy.com | @fastchrysler.com | @fastkawasaki.com | @fastmazda.com | @fastmitsubishi.com | @fastnissan.com | @fastsubaru.com | @fastsuzuki.com | @fasttoyota.com | @fastyamaha.com
allowed_email_domains =

pass_minlength = 5
pass_notusername = 1
pass_neednumber = 0
pass_needspecial = 0

# ----- advanced settings -----

extra_names =

# lib_path must also be updated in any design's css.php file and all pages' public.lib.php includes
lib_path = bb_lib/
design_path = bb_designs/
avatar_path = bb_upload/
photo_path = bb_upload/
attach_path = bb_upload/
log_path = bb_log/

show_sql = off
admin_lock = 1
read_only = 0
enable_icq = 0
enable_jabber = 0

# ---- even more advanced stuff -----

# create stand-alone <html> pages; 0 for embedding
indep_page = 1
indep_file = forum.php
# disable writing of files to disk (0|1)
nowrite = 0
# enable gzip output compression (on|off|auto)
gzip = auto
# use mod_rewrite short URLs
mod_rewrite_urls = 0
# don't automatically forward
no_forward = 0

?>
