<?php
// BlackBoard - PHP Internet Newsboard System
// Copyright 2003-4 by Yves Goergen
// Homepage: http://blackboard.unclassified.de
// See docs/LICENSE.txt for distribution/license details
//
// General language resource file
//
// Language : English (en)
// Encoding : UTF-8 (without encoding marker at file begin!)
// Author   : Yves Goergen <contact@unclassified.de>
// Last edit: 20040524


$T = array(

// General symbols
'num_decimal' => '.',
'num_thousands' => ',',

// General words
'save' => 'Save',
'save_key' => 's',
'save_key_name' => '(Alt+S)',
'preview' => 'Preview',
'preview_key' => 'p',
'preview_key_name' => '(Alt+P)',
'send' => 'Send',
'send_key' => 's',
'send_key_name' => '(Alt+S)',

'no_vote' => 'No vote',
'votes' => 'votes',
'vote' => 'vote',
'icq' => 'ICQ',
'aim' => 'AIM',
'yim' => 'YIM',
'msn' => 'MSN',
'jabber' => 'Jabber',

'back' => 'Back',
'overview' => 'Overview',
'user_cp' => 'Control Panel',
'members' => 'Members',
'search' => 'Search',
'statistics' => 'Statistics',
'help' => 'Help',

'abbc_help' => 'ABBC help',

'activated' => 'Activated',
'activation' => 'Activation',
'all' => 'all',
'and' => 'and',
'author' => 'Author',
'avatar' => 'Avatar',
'birthdate' => 'Birthdate',
'bookmark' => 'Bookmark',
'bookmarks' => 'Bookmarks',
'by' => 'by',
'bytes' => 'Bytes',
'cancel' => 'Cancel',
'change' => 'Change',
'chars' => 'Chars',
'closed' => 'closed',
'contact' => 'Contact',
'cpu_time' => 'CPU time',
'date' => 'Date',
'days' => 'days',
'db_queries_in' => 'Database queries in',
'default' => 'Default',
'delete' => 'Delete',
'design' => 'Design',
'downloads' => 'Downloads',
'e_mail' => 'E-Mail',
'email_address' => 'E-Mail address',
'female' => 'female',
'filter' => 'Filter',
'forum' => 'Forum',
'forwarding_to' => 'Forwarding to',
'gender' => 'Gender',
'go' => 'Go',
'homepage' => 'Homepage',
'hostname' => 'Hostname',
'hour' => 'Hour',
'hours' => 'Hours',
'image' => 'Image',
'important' => '"important"',
'ip_address' => 'IP address',
'ip_host' => 'IP/Hostname',
'language' => 'Language',
'last_activity2' => 'Last activity',   // for currently online users table
'last_post' => 'Last post',
'location' => 'Location',
'logged_in_as' => 'Logged in as',
'logout' => 'Logout',
'male' => 'male',
'maximum' => 'Maximum',
'member' => 'Member',   // for 'Member since...'
'message' => 'Message',
'minute' => 'Minute',
'minutes' => 'Minutes',
'name' => 'Name',
'new_user' => 'New user',
'new_username' => 'New username',
'next_page' => 'Next page',
'next_page2' => 'next',
'no' => 'no',
'no_compression' => 'no compression',
'not_logged_in' => 'Not logged in.',
'on' => 'on',
'online_users' => 'Online users',   // for userlist page selection
'op_team' => 'Operators team',
'options' => 'Options',
'or' => 'or',
'page' => 'Page',
'password' => 'Password',
'password_repeat' => 'Repeat password',
'pixels' => 'pixel',
'poll' => 'Poll',
'poll_add' => 'Add poll',
'poll_remove' => 'Remove poll',
'post' => 'Post',
'posts' => 'Posts',
'prev_page' => 'Previous page',
'prev_page2' => 'previous',
'quote' => 'Quote',
'receipient' => 'Receipient',
'regdate' => 'Reg date',
'register' => 'Register',
'replies' => 'Replies',
'reply' => 'Reply',
'resend_validation' => 'Resend Activation Link',
'second' => 'Second',
'seconds' => 'Seconds',
'select_language' => 'Select language',
'signature' => 'Signature',
'smilies' => 'Smilies',
'sorting' => 'Sorting',
'special_chars' => 'Special characters',
'text' => 'Text',
'text_length' => 'Text length',
'thread' => 'Thread',
'threads' => 'Threads',
'time' => 'Time',
'timezone' => 'Timezone',
'topic' => 'Topic',
'topics' => 'Topics',
'unsubscribe' => 'Unsubscribe',
'user_group' => 'User group',
'user_status' => 'Status',
'user_title' => 'User title',
'userlist' => 'User list',
'views' => 'Views',
'weblink' => 'Web Link',
'why' => 'Why',
'x_ago' => '%s ago',   // ... seconds ... minutes ago
'years' => 'Years',
'yes' => 'yes',

'guest' => 'Guest',
'guests' => 'Guests',
'user' => 'User',
'users' => 'Users',
'mod_short' => 'Mod',
'admin_short' => 'Admin',
'moderator' => 'Moderator',
'moderators' => 'Moderators',
'administrator' => 'Administrator',
'administrators' => 'Administrators',
'former_user' => 'Former user',
'unknown' => 'unknown',

// Date/time
'monday' => 'Monday',
'tuesday' => 'Tuesday',
'wednesday' => 'Wednesday',
'thursday' => 'Thursday',
'friday' => 'Friday',
'saturday' => 'Saturday',
'sunday' => 'Sunday',
'mon' => 'Mon',
'tue' => 'Tue',
'wed' => 'Wed',
'thu' => 'Thu',
'fri' => 'Fri',
'sat' => 'Sat',
'sun' => 'Sun',
'january' => 'January',
'february' => 'February',
'march' => 'March',
'april' => 'April',
'may' => 'May',
'june' => 'June',
'july' => 'July',
'august' => 'August',
'september' => 'September',
'october' => 'October',
'november' => 'November',
'december' => 'December',
'jan' => 'Jan',
'feb' => 'Feb',
'mar' => 'Mar',
'apr' => 'Apr',
'may2' => 'May',
'jun' => 'Jun',
'jul' => 'Jul',
'aug' => 'Aug',
'sep' => 'Sep',
'oct' => 'Oct',
'nov' => 'Nov',
'dec' => 'Dec',

'dateformat_short' => 'm-d-Y',
'dateformat_m_y' => 'm/Y',
'timeformat_short' => 'H:i',
'timeformat_long' => 'H:i:s',

// timespan from the past to now
'time1_some_seconds' => 'for some seconds',
'time1_one_minute' => 'for a minute',
'time1_some_minutes' => 'for some minutes',
'time1_one_quarter_of_an_hour' => 'for a quarter of an hour',
'time1_half_an_hour' => 'for half an hour',
'time1_two_hours' => 'for 2 hours',
'time1_some_hours' => 'for some hours',
'time1_one_day' => 'for a day',
'time1_some_days' => 'for some days',
'time1_one_week' => 'for a week',
'time1_two_weeks' => 'for 2 weeks',
'time1_one_month' => 'for a month',
'time1_two_months' => 'for 2 months',
'time1_three_months' => 'for 3 months',
// this is for absolute times exceeding these named intervals
'time1_absolute' => 'since %s',

// timespan in the present
'time2_some_seconds' => 'for some seconds',
'time2_one_minute' => 'for a minute',
'time2_some_minutes' => 'for some minutes',
'time2_one_quarter_of_an_hour' => 'for a quarter of an hour',
'time2_half_an_hour' => 'for half an hour',
'time2_two_hours' => 'for 2 hours',
'time2_some_hours' => 'for some hours',
'time2_one_day' => 'for a day',
'time2_some_days' => 'for some days',
'time2_one_week' => 'for a week',
'time2_two_weeks' => 'for 2 weeks',
'time2_one_month' => 'for a month',
'time2_two_months' => 'for 2 months',
'time2_three_months' => 'for 3 months',

// point of time in the future
'time3_some_seconds' => 'in some seconds',
'time3_one_minute' => 'in a minute',
'time3_some_minutes' => 'in some minutes',
'time3_one_quarter_of_an_hour' => 'in a quarter of an hour',
'time3_half_an_hour' => 'in half an hour',
'time3_two_hours' => 'in 2 hours',
'time3_some_hours' => 'in some hours',
'time3_one_day' => 'in a day',
'time3_some_days' => 'in some days',
'time3_one_week' => 'in a week',
'time3_two_weeks' => 'in 2 weeks',
'time3_one_month' => 'in a month',
'time3_two_months' => 'in 2 months',
'time3_three_months' => 'in 3 months',
// this is for absolute times exceeding these named intervals
'time3_absolute' => 'in %s',

// point of time in the past
'time4_some_seconds' => 'some seconds ago',
'time4_one_minute' => 'a minute ago',
'time4_some_minutes' => 'some minutes ago',
'time4_one_quarter_of_an_hour' => 'a quarter of an hour ago',
'time4_half_an_hour' => 'half an hour ago',
'time4_two_hours' => '2 hours ago',
'time4_some_hours' => 'some hours ago',
'time4_one_day' => 'a day ago',
'time4_some_days' => 'some days ago',
'time4_one_week' => 'a week ago',
'time4_two_weeks' => '2 weeks ago',
'time4_one_month' => 'a month ago',
'time4_two_months' => '2 months ago',
'time4_three_months' => '3 months ago',
// this is for absolute times exceeding these named intervals
'time4_absolute' => 'in %s',

'today' => 'Today',
'yesterday' => 'Yesterday',
'since_today' => 'since today',
'since_yesterday' => 'since yesterday',

// Error messages
'board_locked' => 'This board is currently closed. Only administrators may log in. Please try again later.',
'err_no_forums' => 'No forums can be displayed.<br />Either there are no forums at all or you don\'t have sufficient access rights for them.',

'err_no_name_given' => 'You forgot the name.',
'err_forum_not_created' => 'Forum could not be created.',
'err_forum_not_deleted' => 'Forum could not be deleted.',
'err_forum_not_changed' => 'Forum could not be changed.',
'err_thread_not_deleted' => 'Thread or contained posts could not be deleted.',
'err_no_topic_given' => 'You forgot the topic.',
'err_invalid_forum_id' => 'The Forum ID is invalid.',
'err_thread_not_changed' => 'Thread could not be changed.',
'err_invalid_user' => 'Invalid user.',
'err_login_failed' => 'Login failed',
'err_no_username_given' => 'You forgot the username.',
'err_unknown_username' => 'Unknown username.',
'err_wrong_password' => 'Wrong password.',
'get_new_password' => 'Request new password',
'err_email_not_sent' => 'The e-mail could not be sent.',
'err_invalid_key' => 'Invalid key.',
'mkpass_key_sent' => 'You received the link for requesting a new password via e-mail.',
'mkpass_password_sent' => 'Your password was reset and e-mailed to you.',

'err_only_for_users' => 'This function is only available to logged in users.',
'err_access_denied' => 'Access denied!',
'err_guest_name' => 'Guests must enter their name!',
'err_no_text' => 'You forgot the text?!',
'err_abbc_syntax' => 'ABBC syntax error',
'err_poll_not_allowed' => 'You may not create a poll.',
'err_poll_no_question' => 'You need to define a question for your poll!',
'err_poll_timeout' => 'The timeout may be wrong...',
'err_thread_closed' => 'This thread is closed, you cannot create posts here.',
'err_no_topic' => 'You need to define a topic for your new thread!',
'err_thread_not_created' => 'Thread could not be created.',
'err_post_not_created' => 'Post could not be created.',
'err_invalid_attach' => 'Invalid attachment file.',
'err_attach_not_saved' => 'Uploaded file could not be saved.',
'err_poll_not_created' => 'The poll could not be entirely created',
'err_post_not_deleted_2' => 'Post could not be deleted again.',
'err_thread_not_deleted_2' => 'Thread could not be deleted again.',
'err_post_not_deleted' => 'Post could not be deleted.',
'err_post_not_created' => 'Post could not be saved.',
'err_poll_details_not_saved' => 'Poll details could not be saved.',
'err_poll_change_reply_n' => 'The %s. reply of the poll could not be updated.',
'err_poll_create_reply_n' => 'The %s. reply of the poll could not be created.',
'err_poll_not_deleted' => 'Poll could not be deleted.',
'err_votes_not_deleted' => 'Some votes of the poll could not be deleted.',
'err_access_denied_delete_poll' => 'Access denied: delete poll',
'err_message_not_saved' => 'Message could not be saved.',
'err_message_not_deleted' => 'Message could not be deleted.',
'err_invalid_thread_for_post' => 'You cannot post here or post was not found!',
'err_attach_not_found' => 'The file "%s" attached to this post was not found!',
'err_attach_no_permission' => 'You are not allowed to view this file.',

'err_user_not_deleted' => 'User could not be deleted.',
'err_passwords_different' => 'Both passwords are different.',
'err_password_too_short' => 'Your password is too short. It must be at least %n characters.',
'err_password_is_username' => 'The password must not be equal to the user name.',
'err_password_need_number' => 'The password must contain at least a number.',
'err_password_need_special' => 'The password must contain at least a special character.',
'err_password_generic' => 'The password is for some generic reason not considered to be safe.',
'err_username_too_long' => 'Your user name is too long. It may have 40 characters (ASCII) at maximum. Unicode names are respectively shorter.',
'err_invalid_birthdate' => 'Your birthdate is invalid.',
'err_signature_too_long' => 'Your signature is too long. %s characters are allowed at maximum.',
'err_avatar_not_deleted' => 'Avatar could not be deleted.',
'err_no_dot_filename' => 'No "." in the filename',
'err_invalid_file_ext' => 'Invalid file extension, allowed: jpg, jpeg, gif, png',
'err_file_too_big' => 'File too big, maximum %s bytes',
'err_unknown_file_format' => 'Unknown file format',
'err_image_too_wide' => 'Image is too wide, maximum %s pixel',
'err_image_too_high' => 'Image is too high, maximum %s pixel',
'err_unknown_error' => 'Unknown error',
'err_invalid_avatar_file' => 'Invalid avatar file',
'err_avatar_not_saved' => 'Uploaded avatar could not be saved.',
'err_photo_not_deleted' => 'Photo could not be deleted.',
'err_invalid_photo_file' => 'Invalid photo file',
'err_photo_not_saved' => 'Uploaded photo could not be saved.',
'err_one_item_not_saved' => 'One item could not be saved.',
'err_form_not_complete' => 'The form is not completed.',
'err_message_not_sent' => 'The message could not be sent.',
'err_user_has_no_email' => 'The user has not specified an e-mail address.',
'err_showing_profile' => 'The requested user profile could not be displayed.',
'err_file_not_found' => 'File not found!',
'err_invalid_post_id' => 'Post ID not found!',
'err_invalid_thread' => 'The requested thread does not exist or access was denied.',
'err_form_not_complete_adduser' => 'The form is not completed! Name, password and e-mail are required.',
'err_invalid_email' => 'The e-mail address is invalid!',
'err_username_assigned' => 'This username is already assigned!',
'err_user_not_created' => 'User could not be created.',
'err_smtp' => 'SMTP error, e-mail could not be sent.',
'err_trace_users_disabled' => 'The user trace list was disabled by the administrator.',

'username_disallowed' => 'Sorry, but this username is disallowed!',
'email_disallowed' => 'Sorry, but this e-mail address is disallowed!',
'err_validation_failed' => 'Activation failed.',
'err_validation_failed_admin' => 'Aktivierung failed for administrative reasons. The user is either banned or already activated.',

'err_invalid_password_cp' => 'Invalid password. You can\'t change current e-mail address or password.',

// Forum stuff
'compose_new_message' => 'Compose new message',
'show_all_messages' => 'Show all messages',
'img_new_forum' => 'New forum',
'new_forum' => 'New forum',
'category' => 'Category',
'description' => 'Description',   // thread subtitle and user description
'link_url' => 'Link URL',
'order' => 'Order',
'img_change_forum' => 'Change forum',
'you_must_not_post_here' => 'You are not allowed to post here',
'more_forums' => 'There are more forums below',
'hide_contents' => 'Hide contents',
'show_contents' => 'Show contents',
'new_posts' => 'New posts',
'current_topics_of_last_' => 'Current topics of the last ',
'_days' => ' days',
'current_topics_since_last_login' => 'Current topics since last login',
'since_last_login' => 'since last login',
'unread_topics' => 'Unread threads',
'current_polls' => 'Current polls',
'1_unread_topic' => 'One unread topic',
'n_unread_topics' => '%n unread topics',
'1_current_poll' => 'One current poll',
'n_current_polls' => '%n current polls',
'1_bookmark' => 'One bookmark',
'n_bookmarks' => '%n bookmarks',
'mark_all_forums_read' => 'Mark all forums as <b>read</b>',
'create_new_forum' => 'Create new forum',
'err_invalid_forum' => 'The requested forum does not exist or access was denied.',

'today_no_user_was_online' => 'Today, no user was online',
'today_one_user_was_online' => 'Today, <b>one</b> user was online',
'today_n_users_were_online' => 'Today, <b>%s</b> users were online',
'currently_no_user_online' => 'No user online in the last 5 minutes',
'currently_one_user_online' => '<b>One</b> user online in the last 5 minutes',
'currently_n_users_online' => '<b>%s</b> users online in the last 5 minutes',
'no_user_in_forum' => 'No user browsing this forum',
'one_user_in_forum' => '<b>One</b> user broswing this forum',
'n_users_in_forum' => '<b>%s</b> users browsing this forum',
'one_guest' => '<b>one</b> guest',
'n_guests' => '<b>%s</b> guests',
'birthday_users' => 'Today\'s <b>birthdays</b>',
'goto_forum' => 'Go to forum',

// Thread stuff
'img_moved_thread' => 'Moved thread',
'img_important_thread' => 'Important thread',
'img_closed_thread' => 'Closed thread',
'img_hot_thread' => 'Hot thread',
'img_new_posts' => 'new posts',
'img_own_posts' => 'own posts',
'goto_unread_post' => 'Goto unread post',
'moved' => 'Moved',
'select_page' => 'Select page',
'important_poll' => '<b>Important</b> poll',
'important_thread' => '<b>Important</b>',
'change_thread' => 'Change thread',
'no_threads_found' => 'No threads found.',
'no_threads_in_forum' => 'There are no threads in this forum.',
'mark_all_threads_read' => 'Mark all threads as <b>read</b>',
'create_new_thread' => 'Create new thread',
'split_note' => 'This view of the thread contains all posts on a single page. Each post is limited to %n characters in display only, with little respect for ABBC syntax errors. Every selected post will be moved over to the new thread. You must enter a non-empty name for the new thread. A description is optional, as usual. You\'ll find the submit button at the end of this page.',
'split_thread' => 'Split thread',
'split_post' => 'Split off this post',
'close_thread' => 'Close thread',
'notification' => 'Notification',
'create_new_post' => 'Create new post',
'thread_is_closed' => 'This thread is <b>closed</b>',
'open_thread_again' => 'Open thread again',
'open' => 'Open',
'poll_ended_x' => '(This poll ended %s)',   // %s is a grammar-4-date (point of time past)
'poll_no_timelimit' => '(No timelimit)',
'poll_ends_x' => '(This poll ends %i, on %a)',   // %i is a grammar-3-date (point of time future), %a is an absolute date/time
'unvote' => 'Cancel my vote',
'back_to_voting' => 'Back to voting',
'show_users' => 'Show users',
'users_have_voted' => 'These users have already voted',
'do_vote' => 'Vote',
'show_results' => 'Show results',
'thread_view' => 'Thread view',
'add_to_bookmarks' => 'Add bookmark',
'remove_from_bookmarks' => 'Remove bookmark',
'show_bookmarks' => 'Show all',

// Post/message stuff
'compose_message' => 'Compose message',
'compose_post' => 'Compose post',
'edit_message' => 'Edit message',
'edit_post' => 'Edit post',
'username' => 'User name',
'subject' => 'Subject',
'advanced_bbcode' => 'Advanced BBCode',
'notify_via' => 'Notify via',
'you_watch_this_by_x' => '(You already watch this thread via %s)',
'update_with_preview' => '(Update with "Preview")',
'no_smilies' => 'Disable smilies',
'no_special_abbc_syntax' => 'Disable basic formatting',
'no_edit_note' => 'Don\'t add an edit note',
'leaves_existing' => '(existing remains)',
'remove_edit_note' => 'Remove edit note',
'thread_is' => 'Thread is',
'important_message' => 'Important message',
'recursive_message' => 'Also show in sub-forums',
'message_show_in_threads' => 'Also show in threads',
'delete_message' => 'Delete message',
'delete_post' => 'Delete Post',
'display_for' => 'Display for',
'attach_file' => 'Attach file',
'file_is_attached' => 'There already is a file attached',
'remove_attach' => 'Remove attachment',
'per_file' => 'per file',
'select_file_on_save' => 'You should first select the file when finally sending the post, because it can\'t be saved otherwise.',
'poll_question' => 'What is the question?',
'poll_replies_sort' => 'Here you can enter the replies, users can choose from, and their order.',
'poll_replies' => 'Here you can enter the replies, users can choose from.',
'poll_timeout' => 'In how many days shall the poll end?',
'poll_timeout_no_limit' => '"i" for no limit',
'poll_timeout_now' => '"x" ends the poll immediately',
'poll_timeout_minutes' => '"0.00<i>n</i>" corresponds some minutes.',
'last_posts_in_thread' => 'The last posts in this thread &nbsp; <small>(newest first, maximum 10 posts)</small>',
'title_posting' => 'Posting',
'goto_post' => 'Goto post',
'thread_starter' => 'Thread starter',
'post_changed_since_last_read' => 'This post was changed after you last read it',
'unread_from_here' => 'Mark as unread from here on',
'unread_from_here_short' => 'Unread',
'link_to_here' => 'Link to this post',
'link_to_here_short' => 'Link',
'show_ip' => 'Show IP/host',
'post_changed_n_times' => 'This post was edited <b>%s</b> times, last on',
'post_was_changed_automatically' => 'This post was changed automatically.',
'image_attached' => 'The user has attached an image',
'file_attached' => 'The user has attached a file',
'downloaded_n_times' => 'downloaded %s times',
'never_downloaded' => 'never downloaded yet',
'only_for' => 'Only for',
'mark_read' => 'Mark as <b>read</b>',
'mark_unread' => 'Mark as <b>unread</b>',
'unread_for_all' => 'Unread for all',
'moved_note' => '"Moved" note',
'only_for_users' => 'Only for members',
'restricted_mods' => 'Restricted (only for Mods)',
'restricted_admins' => 'Only for Admins',

'f_b' => 'B',
'f_bold' => 'bold',
'f_i' => 'I',
'f_italic' => 'italic',
'f_u' => 'U',
'f_underline' => 'underline',
'f_s' => 'S',
'f_strike' => 'strike-though',
'f_m' => 'M',
'f_fixed' => 'fixed width',
'f_quote' => 'Quote',
'f_code' => 'Code',
'f_link' => 'Link',
'f_image' => 'Image',
'f_red' => 'red',
'f_orange' => 'orange',
'f_yellow' => 'yellow',
'f_green' => 'green',
'f_cyan' => 'cyan',
'f_blue' => 'blue',
'f_magenta' => 'magenta',
'f_gray' => 'gray',
'f_more' => 'More...',

'hide_code' => 'Hide code block',
'show_code' => 'Show code block',
'hide_quote' => 'Hide quotation',
'show_quote' => 'Show quotation',

// User stuff
'sure_delete' => 'Are you sure? You just clicked on "Delete"...',
'online' => 'Online',
'offline' => 'Offline',
'edit_profile' => 'Change profile',
'posts_and_stats' => 'Posts and statistics',
'contacting' => 'Contacting',
'registered_on' => 'Registered',
'send_mail_to_x' => 'Send e-mail to %s',
'per_day' => 'per day',
'per_week' => 'per week',
'effective' => 'effective',
'find_posts' => 'Search',
'none' => 'none',
'instant_messenger' => 'Instant Messenger',
'last_activity' => 'Last activity',
'user_profile' => 'User profile',
'in_forum' => 'in forum',
'never' => 'never',
'in_thread' => 'in thread',
'more_information' => 'More information',
'send_mail_to_user' => 'Send e-mail to user',
'allow_direct_reply' => 'Allow direct reply to my e-mail address',
'direct_reply_desc' => 'With this feature, the receipient gets your e-mail address. Otherwise, he can only reply through this forum.',
'mail_to_x_was_sent' => 'The message was sent to %s.',
'show_usergroup' => 'Show user group',
'invert_selection' => 'Invert selection',
'no_users_found' => 'No users found.',

// User control panel
'cp_menu' => 'Menu',
'cp_item_acc_settings' => 'Account settings',
'cp_item_pers_profile' => 'Personal profile',
'cp_item_subscriptions' => 'Subscriptions',
'cp_item_bookmarks' => 'Bookmarks',
'cp_item_sig_avatar' => 'Signature/Avatar/Photo',
'cp_item_appearance' => 'Board appearance',
'cp_item_localisation' => 'Localisation',

'show_profile' => 'Show profile',

'config' => 'Configuration',
'cfg_general' => 'General',
'cfg_appearance' => 'Appearance',
'cfg_security' => 'Security',
'cfg_advanced' => 'Advanced',

'admin_tools' => 'Admin\'s tools',
'avatar_overview' => 'Avatar overview',
'inactive_users' => 'Inactive users',
'show_log' => 'Show log',
'forum_overview' => 'Forum overview',
'set_user' => 'Change current user',
'acl_editor' => 'ACL editor',

'account_summary' => 'Account summary',
'name_and_id' => 'User name and ID',
'group_membership' => 'Group membership',
'number_of_posts' => 'Number of posts',
'email_password' => 'E-Mail, Password',
'current_password' => 'Current password',
'pwd_necessary' => 'Necessary to change these settings',
'current_email_address' => 'Current e-mail address',
'registration_email_address' => 'Registration e-mail address',
'change_password' => 'Change password',
'repeat_new_password' => 'Repeat new password',
'remove_user' => 'Remove user',
'contacting_you' => 'Contacting you',
'personal_info' => 'Personal information',
'no_idea' => 'no idea',   // for gender selection
'user_title_note' => 'The title will be displayed with your posts underneath your user name.',
'additional_info' => 'Additional information',   // Extra fields
'default_notification' => 'Default notification via',
'subscription_note' => 'This contains all threads you receive a notification on new posts for.',
'watch_no_longer' => 'Watch no longer',
'remove_subs_older_than' => 'Remove subscriptions older than',
'remove_bookmark' => 'Remove bookmark',
'signature_note' => 'Keep in mind that this signature will be displayed with any of your posts. So it should not take too much space.',
'upload_new_avatar' => 'Upload new avatar',
'load_avatar_from_url' => 'Load avatar from URL',
'remove_existing_avatar' => 'Remove existing avatar',
'no_change' => 'No change',
'avatar_note' => 'This image will be displayed next to any of your posts.',
'no_avatar_present' => 'No avatar present',
'user_photo' => 'User photo',
'upload_new_photo' => 'Upload new photo',
'load_photo_from_url' => 'Load photo from URL',
'remove_existing_photo' => 'Remove existing photo',
'photo_note' => 'With this photo one shall be able to recognize you outside this forum. So you should only choose a real photo of you, fun pictures are undesired here.',
'no_photo_present' => 'No photo present',
'sig_preview_note' => 'The preview only concerns display of the signature. Images are not saved.',
'thread_icons' => 'Thread icons',
'thread_icons_note' => 'Display of post actions like Change, Quote or Reply',
'with_icons' => 'with icons',
'with_text' => 'with text',
'last_read_line' => 'Last Read line',
'show_hide_code_block_option' => 'Display "show/hide code block" option in posts',
'show_user_reads_option' => 'List users that have read up to a posting (Admins only)',
'fast_reply_option' => 'Enable FastReply',
'auto_relogin_option' => 'Automatic Re-Login with Cookies',
'include_copy_of_post' => 'Include a copy of the post when emailing me from a subscribed topic',
'links_new_window_option' => 'Open links into new windows',
'new_layout_option' => 'Horizontal layout in the thread view (for narrower windows)',
'half_size_avatar_option' => 'Show big avatars in half size',
'hide_avatars_option' => 'Hide user avatars',
'hide_sigs_option' => 'Hide user signatures',
'adjust_for_ds_time' => 'Adjust for daylight saving time',
'date_format' => 'Date format',
'date_format_note' => 'See <a href="' . $MODULE['derefer'] . PD . 'url=http://www.php.net/date" target="_blank">PHP function date()</a><br />d: day (01)<br />D: weekday (Mon)<br />m: month (01)<br />M: month (Jan)<br />y: year (03)<br />Y: year (2003)',
'currently_editing_profile' => 'You are currently editing %name%\'s profile.',

// Statistic stuff
'stat_new_threads' => 'New threads',
'stat_new_posts' => 'New posts',
'stat_online_users' => 'Online users',
'stat_pagehits' => 'Page hits',
'stat_regs' => 'Registrations',
'stat_forums_threads_posts' => 'Forums, threads and posts',
'stat_users' => 'Users/members',
'num_of_forums' => 'Number of forums',
'registered_users' => 'Registered users',
'users_wait_validation' => 'Users awaiting validation',
'num_of_threads' => 'Number of threads',
'threads_per_forum' => 'Threads per forum',
'num_of_posts' => 'Number of posts',
'posts_per_thread' => 'Posts per thread',
'num_of_polls' => 'Number of polls',
'votes_per_poll' => 'Votes per poll',
'posts_per_user' => 'Posts per user',
'guest_posts' => 'Posts by guests',
'database_size' => 'Database size',
'upload_folder_size' => 'Upload folder size',
'top_10_threads' => 'The 10 most-visited threads of the last two weeks: <small>(only those visible to you)</small>',

// Search stuff
'search_posts' => 'Search posts',
'find_what' => 'Search for',
'display_as' => 'Display as',
'in_subject' => 'in subject',
'in_message' => 'in text',
'date_from' => 'from',
'date_until' => 'until',
'search_date_format' => 'Format: D.M.Y',
'ascending' => 'ascending',
'descending' => 'descending',
'search_in_forum' => 'Search in forum',
'all_forums' => '(All Forums)',
'search_tip' => 'You can combine words with " <b>or</b> exclude them with -. <b>Example:</b> "nice weather" -rain',
'all_posts_by' => 'All posts by',
'search_result' => 'Search result',

// Text filter page
'textfilter' => 'Text Filter',
'textfilter_desc' => '<p>This posting was modified automatically, because there were either tons of smilies or images or the author\'s keyboard accidentially repeated some characters very often, which must of course be corrected.</p>
<p>Basically there\'s no disadvantage worth mentioning for the reader. In most cases this exclusively enhances readability of the thread.</p>
<p>If you think this modification is defective, please refer to a moderator or administrator.</p>',

// editor.js texts
'js_getlength_1' => 'The text is ',
'js_getlength_2' => ' characters long. ',
'js_getlength_3' => ' characters are allowed.',

'' => '');

?>