<?php
// BlackBoard - PHP Internet Newsboard System
// Copyright 2003-4 by Yves Goergen
// Homepage: http://blackboard.unclassified.de
// See docs/LICENSE.txt for distribution/license details
//
// Additional language resource file
//
// Language : English (en)
// Encoding : UTF-8 (without encoding marker at file begin!)
// Author   : Yves Goergen <contact@unclassified.de>
// Last edit: 20040604


$T['reg_validation_mail'] = "Hello %n,\n\n" .
	"you need to validate your e-mail address in order to use your new user account. Please click on the following link or copy it into the address bar of your web browser:\n\n%u";
$T['reg_validation_subject'] = 'Validation link';

$T['reg_manual_mail'] = "Hello %name%,\n\n" .
	"a new user has to registered to the board. Here's a link to his profile:\n\n%u";
$T['reg_manual_subject'] = 'Validation request';

$T['mkpass_1'] = "Hello %name%,\n\n" .
	"you have requested a new password for your user account. For security reasons, you must first follow this link " .
	"to authenticate yourself. Then your new password will be e-mailed to you.\n\n" .
	"%u\n\n" .
	"If you didn't request a new password, you can ignore this e-mail. At this time, your password wasn't changed yet, of course.";
$T['mkpass_1_subject'] = 'New Password Request';

$T['mkpass_2'] = "Hello %name%,\n\n" .
	"you have requested a new password for your user account.\n\n" .
	"The new password is \"%pass%\" (without quotes) and is valid immetiately.\n\n" .
	"You can now log into the Forum with your username and this password. You should then change the password in your user control panel.";
$T['mkpass_2_subject'] = 'New Password';

$T['threadwatchnotify_mail'] = "Hello %name%,\n" .
	"%poster% has posted a reply in the thread \"%subject%\" in forum \"%forum%\" you are watching.\n" .
	"You can read the posting with the folowing link:\n\n" .
	"%url%\n\n" .
	"You won't receive further notifications on this thread until you visited it again.\n" .
	"To unwatch this thread, uncheck the function on the given page.\n";
$T['threadwatchnotify_mail_subject'] = 'New post to: %subject%';

$T['threadwatchnotify_icq'] = "Hello %name%,\n" .
	"%poster% has posted a reply in the thread \"%subject%\".\n";

$T['threadwatchnotify_jabber'] = "Hello %name%,\n" .
	"%poster% has posted a reply in the thread \"%subject%\" in forum \"%forum%\":\n%url%\n";
$T['threadwatchnotify_jabber_subject'] = 'New post to: %subject%';

$T['forumwatchnotify_mail'] = "Hello %name%,\n" .
	"%poster% has started the topic \"%subject%\"%desc% in forum \"%forum%\".\n" .
	"You can read the first posting with the folowing link:\n\n" .
	"%url%\n\n" .
	"You won't receive further notifications on this forum until you visited it again.\n" .
	"To unwatch this forum, uncheck the function on the forum page.\n";
$T['forumwatchnotify_mail_subject'] = 'New topic in: %forum%';

$T['forumwatchnotify_icq'] = "Hello %name%,\n" .
	"%poster% has started the topic \"%subject%\"%desc% in forum \"%forum%\".\n";

$T['forumwatchnotify_jabber'] = "Hello %name%,\n" .
	"%poster% has started the topic \"%subject%\"%desc% in forum \"%forum%\":\n%url%\n";
$T['forumwatchnotify_jabber_subject'] = 'New topic in: %forum%';

$T['usermail_1'] = "Hello %name%,\n" .
	"%poster% has sent you the following message over the Forum:\n\n-----\n%msg%\n-----\n\n" .
	"To reply %poster%, you may either reply to this e-mail or write directly to %email%.\n" .
	"If you don't want to disclose your mail address, you can also reply over this link:\n%url%";
$T['usermail_2'] = "Hello %name%,\n" .
	"%poster% has sent you the following message over the Forum:\n\n-----\n%msg%\n-----\n\n" .
	"To reply %poster%, please use this link:\n" .
	"%url%\n" .
	"WARNING: Direct replies to this e-mail are delivered to the board administrator!";
$T['usermail_subject'] = 'Message from %s';

// Registration page
$T['reg_temp_disabled'] = 'New registrations are temporarly disabled. Please try again later or contact an administrator.';
$T['reg_validated'] = '<b>Your user account has just been activated.</b><br /><br />' .
	'Now you can login with your username and password to participate in this forum.<br />' .
	'Furthermore you can complete your personal data in your user profile at any time after login. You\'ll find more information on usage and functionality of this board on the help page.<br /><br />' .
	'Have a lot of fun...';
$T['reg_validation_resent'] = 'The activation link was sent to the e-mail address you specified at registration time.';

$T['reg_welcome_created'] = '<b>Welcome to our web forum!</b><br /><br />Your user account was successfully created in the database.';
$T['reg_acc_not_validated'] = 'This account is not yet validated.';
$T['reg_acc_mail'] = 'To do so, you need to follow the link that was just sent to you by e-mail.';
$T['reg_acc_manual'] = 'This must be done manually by a moderator or administrator and may take some days.';
$T['reg_acc_error'] = '- And this actually must not be. You should inform the administrator about this!';
$T['reg_acc_login'] = 'You can already login with your username and password, but not fully participate in this forum.';
$T['reg_acc_validated'] = 'This account is already activated so you can immediately login with your username and password to participate in this forum.';
$T['reg_welcome_profile'] = 'You can complete your personal data in your user profile at any time after login. You\'ll find more information on usage and functionality of this board on the help page.<br /><br />Have a lot of fun...';

$T['reg_agreement'] = 'Registration Agreement Terms';
$T['reg_agree_msg'] = 'While the administrators and moderators of this forum will attempt to remove or edit any generally objectionable material as quickly as possible, it is impossible to review every message. Therefore you acknowledge that all posts made to these forums express the views and opinions of the author and not the administrators, moderators or webmaster (except for posts by these people) and hence will not be held liable.<br /><br />' .
	'You agree not to post any abusive, obscene, vulgar, slanderous, hateful, threatening, sexually-orientated or any other material that may violate any applicable laws. Doing so may lead to you being immediately and permanently banned (and your service provider being informed). The IP address of all posts is recorded to aid in enforcing these conditions. You agree that the webmaster, administrator and moderators of this forum have the right to remove, edit, move or close any topic at any time should they see fit. As a user you agree to any information you enter here being stored in a database. Moreover, other actions in this forum may be tracked for troubleshooting purposes. While this information will not be disclosed to any third party without your consent the webmaster, administrator and moderators cannot be held responsible for any hacking attempt that may lead to the data being compromised.<br /><br />' .
	'This forum system uses cookies to store information on your local computer. These cookies do not contain any of the information you have entered above, they serve only to improve your viewing pleasure. The email address is used only for confirming your registration details and password, for thread notifications (optional) and for sending new passwords should you forget your current one. Of course, registration is free of charge and without further obligation.<br /><br />' .
	'<b>By clicking Register below you agree to be bound by these conditions.</b>';
$T['reg_data_required'] = 'The following information is required for registration:';
$T['reg_username_desc'] = 'Enter a unique user name (login name). It will be displayed with all your posts.';
$T['reg_pass_desc'] = 'Keep your password safe, you\'ll need it for every login that can\'t be done automatically through cookies.';
$T['reg_pass2_desc'] = 'Please enter your password for a second time, just to be certain.';
$T['reg_mail_desc'] = 'Your e-mail address will not be displayed publicly and cannot be viewed by other users.';
$T['reg_mail_note'] = '<b>Note:</b> You must enter a valid address that you can read mail from, to complete the registration process.';
$T['reg_continue'] = 'Continue registration';
$T['err_too_many_extra_fields'] = 'Too many extra fields defined. There are at most 10 allowed.';
$T['err_db_setextracols'] = 'Database error while altering the extra columns';
$T['err_write_conffile'] = 'Couldn\'t write the configuration file.';

// Config stuff
$T['forum_title'] = 'Forum title';
$T['forum_title_note'] = 'Used for page title and e-mail sender\'s name';
$T['home_url'] = 'Home URL';
$T['parent_url'] = 'Parent URL';
$T['database_group'] = 'Database settings';
$T['db_server'] = 'Server';
$T['db_user'] = 'Username';
$T['db_pass'] = 'Password';
$T['db_name'] = 'Database name';
$T['db_prefix'] = 'Table name prefix';
$T['db_prefix_note'] = 'This key is added to the standard table names. Use different keys to store more than one forum in a single database.';
$T['smtp_group'] = 'E-Mail/SMTP settings';
$T['smtp_server'] = 'SMTP server';
$T['smtp_sender'] = 'SMTP sender address';
$T['smtp_user'] = 'Username for SMTP AUTH';
$T['smtp_pass'] = 'Password for SMTP AUTH';
$T['jabber_group'] = 'Jabber settings';
$T['jabber_server'] = 'Jabber server';
$T['jabber_server_note'] = 'IP or hostname, optionally with :port (default is 5222)';
$T['jabber_user'] = 'Username';
$T['jabber_user_note'] = 'Only the login name without the @servername part';
$T['jabber_pass'] = 'Password';
$T['jabber_icq'] = 'ICQ transport';
$T['jabber_icq_note'] = 'This address is needed to send messages to ICQ users over the Jabber network. This service must therefore be registered with a valid ICQ UIN.';
$T['localisation_group'] = 'Localisation';
$T['def_language'] = 'Default language';
$T['def_timezone'] = 'Default timezone';

$T['cp_app_general_things'] = 'General things';
$T['threads_per_page'] = 'Threads per page';
$T['all_on_one_page'] = 'all on one page';
$T['posts_per_page'] = 'Posts per page';
$T['users_per_page'] = 'Users per page';
$T['posts_for_hot_thread'] = 'Min. # of posts for a \'hot thread\'';
$T['deactivated'] = 'disabled';
$T['views_for_hot_thread'] = 'Min. # of views for a \'hot thread\'';
$T['default_design'] = 'Board design';
$T['cp_app_site_frame'] = 'Site frame options';
$T['small_layout'] = 'Smaller layout';
$T['show_nav_line'] = 'Show navigation line';
$T['show_nav_line_note'] = '<b>Warning:</b> If disabled, you need a page framework or enter the main URLs yourself!';
$T['show_login_top'] = 'Login controls at top of page';
$T['otherwise_at_bottom'] = 'Otherwise, it\'s displayed at the bottom of the page';
$T['show_online_users'] = 'Show currently online users';
$T['show_online_users_note'] = 'This has effect on bottom of the overview page and all forums';
$T['show_foot_line'] = 'Show footer line';
$T['foot_line_dbtime'] = 'Show DB stats in footline';
$T['cp_app_little_helpers'] = 'Some little helpers';
$T['show_goto_forum'] = 'Show Go to forum list';
$T['show_search_forum'] = 'Quicksearch in forums/threads';
$T['post_show_textlength'] = 'Text length of the post';
$T['cp_app_cpueating_details'] = 'CPU-eating details';
$T['own_posts_in_threadlist'] = 'Mark threads with own posts';
$T['display_thread_startdate'] = 'Display a thread\'s starting date in the threads list';
$T['advanced_thread_counter'] = 'Advanced counters in the threads list';
$T['advanced_thread_counter_note'] = 'Number of users who have read or posted to a thread';
$T['count_thread_views'] = 'Count thread views';
$T['display_thread_lastposter'] = 'Display a thread\'s last post\'s author in the threads list';
$T['count_forum_threads_posts'] = 'Count threads/posts in the forums list';
$T['display_forum_lastpost'] = 'Display last post in the forums list';
$T['new_layout'] = 'Horizontal layout for posts';
$T['new_layout_note'] = 'Will be used as default for new users';
$T['enable_trace_users'] = 'Enable user trace list';
$T['enable_trace_users_note'] = 'In this list of online users, everyone can see which user is currently where in the board';
$T['cp_app_user_details'] = 'User details showed with posts';
$T['show_utitle'] = 'User title';
$T['show_uinfo_regdate'] = 'Registration date';
$T['show_uinfo_posts'] = 'Number of posts';
$T['show_uinfo_location'] = 'Location';
$T['cp_app_smilies'] = 'Smilies and special characters';
$T['post_use_rcol'] = 'Use right column for smilies';
$T['show_smilies'] = 'Show smilies box';
$T['cols'] = 'columns';
$T['rows'] = 'rows';
$T['show_special_chars'] = 'Show special characters box';
$T['cp_other_stuff'] = 'Other stuff';
$T['location_link'] = 'Location\'s URL';
$T['location_link_note'] = '%s will be replaced with the user\'s specified location';
$T['poll_current_days'] = 'Find "current polls" within';
$T['quote_with_date'] = 'Store quotes\' date for original posts older than';

$T['new_user_validation'] = 'New users\' validation';
$T['temp_disabled'] = 'Temporarly disabled';
$T['immediately'] = 'Immediately';
$T['validate_per_email'] = 'Validation via e-mail';
$T['validate_manually'] = 'Manually by Mod/Admin';
$T['user_recommendation'] = 'Recommendation of a user';
$T['avatar_function_size'] = 'Avatars and max. size';
$T['active'] = 'active';
$T['photo_function_size'] = 'User photos and max. size';
$T['max_post_length'] = 'Maximum post length';
$T['max_signature_length'] = 'Maximum signature length';
$T['attachment_size'] = 'Attachment size';
$T['deactivates_post_attachments'] = 'disables post attachments';
$T['prog_id'] = 'Program ID';
$T['prog_id_note'] = '<b>Security relevant:</b> This string is used to build the session name and should be set to a unique value for the current domain at setup time. If you have two BlackBoards or PHP session dependant environments using the same session name, this could lead to users being able to login to this board (or the other environment) as someone else.';
$T['disallowed_usernames'] = 'Disallowed usernames';
$T['disallowed_names_note'] = 'List of disallowed Usernames and Mail addresses for registration. These strings must not appear entirely or partly in requested Usernames or E-Mail Addresses at registration. Comparison is done case-insensitive. Enter all values separated by | character.';
$T['disallowed_emails'] = 'Disallowed e-mail addresses';
$T['allowed_email_domains'] = 'Allowed e-mail domains';
$T['allowed_names_note'] = 'Registration is only possible with e-mail addresses from these domains. Comparison is done case-insensitive. Enter all values separated by | character.';
$T['password_security_group'] = 'Password security';
$T['pass_minlength'] = 'Minimum length';
$T['pass_notusername'] = 'Forbid username';
$T['pass_notusername_note'] = 'The password must not be equal to the user name (case-insensitive).';
$T['pass_neednumber'] = 'Need number';
$T['pass_neednumber_note'] = 'The password must contain at least a number [0-9].';
$T['pass_needspecial'] = 'Need special character';
$T['pass_needspecial_note'] = 'The password must contain at least a character that is no number [0-9] and no letter [A-Za-z]. This includes i.e. punctuation or accented letters.';

$T['extra_names'] = 'Additional user profile fields';
$T['extra_names_note'] = 'The number of these fields must be the same as it was at setup time. Enter all names separated by | character.';
$T['lib_path'] = 'Board\'s libraries path';
$T['design_path'] = 'Board\'s designs path';
$T['avatar_path'] = 'Users\' avatars path';
$T['photo_path'] = 'Users\' photos path';
$T['attach_path'] = 'Post attachments path';
$T['log_path'] = 'Logfiles path';
$T['show_sql'] = 'Show SQL queries';
$T['show_sql_note'] = 'on: global on - off: global off - &lt;num&gt;: on for user ID &lt;num&gt;';
$T['admin_lock'] = 'Administrative board lock';
$T['read_only'] = 'Global read-only access';
$T['enable_icq'] = 'Enable ICQ notification';
$T['enable_jabber'] = 'Enable Jabber notification';

// Admin tools
$T['id'] = 'ID';
$T['change_uid'] = 'Change';
$T['avatars'] = 'Avatars';
$T['parent'] = 'Parent';
$T['sort'] = 'Sort';
$T['update'] = 'Update';
$T['time'] = 'Time';
$T['user_id'] = 'UserID';
$T['action'] = 'Action';
$T['browser'] = 'Browser';
$T['version'] = 'Version';
$T['os'] = 'OS';
$T['ip'] = 'IP';
$T['lang'] = 'Lang';
$T['session'] = 'Session';
$T['removing_sel_users'] = 'Removing selected users...';
$T['err_users_not_removed_n'] = 'Error: could not remove user %n';
$T['removed_user_n'] = 'Removed user %n';
$T['sure_remove_users'] = 'Yes, I\'m sure to remove users';
$T['no_inactive_users'] = 'No inactive users found.';
$T['avatar_checksize'] = 'Re-read image dimensions';
$T['avatar_scan_ok'] = 'Image dimensions were re-read (or not...).';

// ACL stuff
$T['acl_editor'] = 'ACL editor';
$T['err_acl_usr_grp_both_not_null'] = 'User/Group must not both be not null.';
$T['err_acl_thread_forum_both_not_null'] = 'Thread/Forum must not both be not null.';
$T['err_acl_no_action'] = 'No action specified.';
$T['err_acl_global_action'] = 'You cannot specify a forum or thread with this action.';
$T['acl_select_one'] = 'select one';
$T['acl_group'] = 'Group';
$T['acl_action'] = 'Action';
$T['acl_grant'] = 'grant';
$T['acl_add_entry'] = 'Add new entry';
$T['acl_cancel_edit'] = 'Cancel editing';
$T['acl_update_view'] = 'Update view';
$T['acl_note'] = 'Rules are displayed in order of appliance.<br />&#185;) These actions are forum/thread-specific, others are not.';

$T['right_1'] = 'is admin';
$T['right_2'] = 'add user';
$T['right_3'] = 'remove user';
$T['right_4'] = 'rename user';
$T['right_5'] = 'edit any profile';
$T['right_6'] = 'change avatar';
$T['right_7'] = 'send e-mail';
$T['right_8'] = 'show userlist';
$T['right_9'] = 'show online users';
$T['right_10'] = 'show profile';
$T['right_11'] = 'set users\' groups';
$T['right_12'] = 'show statistics';
$T['right_21'] = 'max. avatar size [kB]';
$T['right_22'] = 'max. photo size [kB]';
$T['right_23'] = 'max. photo width [px]';
$T['right_24'] = 'max. photo height [px]';
$T['right_31'] = 'add forum';
$T['right_32'] = 'edit forum';
$T['right_33'] = 'view forum';
$T['right_34'] = 'write to forum';
$T['right_35'] = 'add new thread';
$T['right_36'] = 'create poll';
$T['right_37'] = 'edit message';
$T['right_38'] = 'close thread';
$T['right_39'] = 'important thread';
$T['right_40'] = 'edit poll';
$T['right_41'] = 'view poll users';
$T['right_42'] = 'edit any post';
$T['right_43'] = 'remove post';
$T['right_44'] = 'no editnote';
$T['right_45'] = 'remove editnote';
$T['right_46'] = 'show IP';
$T['right_47'] = 'download attachments';
$T['right_48'] = 'vote in polls';
$T['right_49'] = 'remove own posts';
$T['right_61'] = 'max. attachment size [kB]';
$T['right_62'] = 'time edit own posts [min]';

$T['right_81'] = '(Guest rights)';
$T['right_82'] = '(All user rights)';
$T['right_83'] = '(Add. moderation rights)';
$T['right_84'] = '(All admin rights)';

// User groups editor
$T['groups_editor'] = 'User groups';
$T['err_grp_default_nodelete'] = 'The default groups cannot be removed.';
$T['err_grp_name_empty'] = 'Name must not be empty.';
$T['group_name'] = 'Group name';
$T['group_show_in_team'] = 'Show in the team';
$T['add_group'] = 'Create new group';
$T['grp_note'] = 'The default groups are displayed first, alphabetically followed by all others.<br />When removing a group, all group memberships are removed, too. The default groups cannot be removed.';

// Installation
$T['installation'] = 'Installation';
$T['inst_welcome'] = 'Welcome to the BlackBoard installation!';
$T['inst_assistant'] = 'This assistent will install the BlackBoard version ' . $VERSION . ' to the current location. This primarily means initializing the database, obviously the files are already unpacked. Please select the correct language now or you will have to rename the default user groups later.';
$T['inst_warn_nowrite'] = 'Warning: Writing to the configuration file is not possible.<br />You should solve the problem or set the "nowrite" option in the board.conf.php file:<br />nowrite = 1';
$T['inst_nowrite_warning'] = 'Warning: Writing to the configuration or log files is disabled or not possible. All settings in the board.conf file must therefore be changed manually. Changes made on this page will be ignored! The board configuration in the Control Panel can only be read, too.';
$T['inst_type'] = 'Type of installation';
$T['inst_type_new'] = 'New installation';
$T['inst_type_new_note'] = 'At a new installation, you create a blank set of tables in the database. No old data or files is converted or saved. All information stored in tables with the same name will be lost, if they already exist.';
$T['inst_type_update'] = 'Update from older BlackBoard version';
$T['inst_type_update_note'] = 'Updating means converting the database from a previous version of BlackBoard. Installation must be performed on the same database and table prefix as the previous installation operated on. All necessary changes to the database will be performed automatically.';
$T['inst_type_import'] = 'Import from another newsboard';
$T['inst_type_import_note'] = 'Importing copies all compatible data from another newsboard\'s data structure into a new BlackBoard installation. Depending on the newsboard, not all information may be copied correctly. You most probably have to check all access rights first.';
$T['inst_type_uninstall'] = 'Uninstall the board';
$T['inst_type_uninstall_note'] = 'Remove all database tables of the currently installed BlackBoard. All stored information will be lost. You have to remove the board files (code, designs, user uploads) yourself afterwards.';
$T['inst_continue'] = 'Continue installation';

$T['inst_creat_tables'] = 'Creating database tables...';
$T['inst_grp_users'] = 'Members';
$T['inst_grp_gmods'] = 'Global Moderators';
$T['inst_grp_admins'] = 'Administrators';
$T['inst_login'] = 'Logging in as user "Admin" with password "admin"...';
$T['inst_done'] = 'Done.';
$T['inst_db_complete'] = 'Database setup complete.';
$T['inst_complete_note'] = 'You should first change your username and password in your user profile. To complete the installation, go to the control panel and adjust the board settings to your needs. Then, create the forums you wish to offer to your users and set all access rights accordingly. At the end, turn off the administrative board lock in the control panel.';
$T['inst_lock'] = 'The installation programs are now locked and cannot be started as long as the file "lock.conf" exists in this directory. Nevertheless, you should also remove the setup scripts from the board\'s directory to prevent any misuse.';
$T['inst_go_cp'] = 'Go on to the control panel';
$T['inst_go_overview'] = 'Go on to the overview page';

$T['inst_check_db_layout'] = 'Checking current database layout...';
$T['inst_check_db_integrity'] = 'Checking database integrity...';

$T['inst_import_note'] = 'Choose the board software you want to convert from. To add converters to this list, they must be named import_*.php and located in the same directory as install.php.';
$T['inst_import_not_found'] = 'No import modules found.';

// Uninstallation
$T['inst_uninst_summary'] = 'Remove these database tables:';
$T['uninst_remove_tbl'] = 'Removing table';
$T['uninst_complete'] = 'Uninstall complete.';

?>