<?php
// BlackBoard - PHP Internet Newsboard System
// Copyright 2003-4 by Yves Goergen
// Homepage: http://blackboard.unclassified.de
// See docs/LICENSE.txt for distribution/license details
//
// Help page language resource file
//
// Language : Dutch (nl)
// Encoding : UTF-8 (without encoding marker at file begin!)
// Author   : Ben Branders, jabberweb.be
// Last edit: 20040714
?>

<div class="help_entry">
<div class="keyword">Inhoud</div>
<div class="content">
	<table cellspacing="0" cellpadding="0">
	<tr valign="top">
		<td>
			<a href="#a">Afkortingen</a><br />
			<a href="#a">Administrators</a><br />
			<a href="#a">Bijlagen</a><br />
			<a href="#b">BBCode</a><br />
			<a href="#c">Gesloten discussies</a><br />
			<a href="#c">Cookies</a><br />
			<a href="#e">E-Mails naar gebruikers</a><br />
			<a href="#e">Berichten bewerken</a><br />
		</td>
		<td>&nbsp; &nbsp; &nbsp; &nbsp;</td>
		<td>
			<a href="#l">Login</a><br />
			<a href="#m">Boodschappen</a><br />
			<a href="#m">Moderators</a><br />
			<a href="#n">Waarschuwingen</a><br />
			<a href="#p">Polls</a><br />
			<a href="#p">Profiel / Controlepaneel</a><br />
			<a href="#q">Lidmaatschap opzeggen</a><br />
			<a href="#r">Registratie</a><br />
		</td>
		<td>&nbsp; &nbsp; &nbsp; &nbsp;</td>
		<td>
			<a href="#s">Zoekfunctie</a><br />
			<a href="#s">Ondertekening</a><br />
			<a href="#s">Smilies en speciale tekens</a><br />
			<a href="#s">Statistieken</a><br />
			<a href="#t">Discussielijst</a><br />
			<a href="#u">Unicode</a><br />
			<a href="#u">Gebruikerslijst</a><br />
			<a href="#u">Gebruikersnaam</a><br />
		</td>
	</tr>
	</table>
</div>
</div>

<a name="a"></a>

<div class="help_entry">
<div class="keyword">Afkortingen</div>
<div class="content">
	AFAIK - as far as I know<br />
	AFAIR - as far as I remember<br />
	AFK - away from keyboard<br />
	aka - also known as<br />
	ASAP - as soon as possible<br />
	*bg* - big grin<br />
	btw - by the way<br />
	cu - see you<br />
	fyi - for your information<br />
	*g* - grin<br />
	GIGO - garbage in, garbage out<br />
	HTH - hope this helps<br />
	IIRC - if I remember correctly<br />
	IM(H)O - in my (humble) opinion<br />
	(I)RL - (in) real life<br />
	LMAO - Laughing my ass off<br />
	LOL - laughing out loud<br />
	OT - off topic<br />
	ROFL - rolling on the floor, laughing<br />
	RT(F)M - read the (f***ing) manual!<br />
	SCNR - sorry, could not resist<br />
	TIA - thanks in advance<br />
	WE - weekend<br />
	WTH, WTF - What/why the hell/f***<br />
	<br />
	Je vind meer afkortingen en speciale woorden op de volgende websites: <a href="<?php echo $MODULE['derefer'] . PD ?>url=http://www.ilexikon.net" target="_blank">iLexikon.net</a>, <a href="<?php echo $MODULE['derefer'] . PD ?>url=http://www.glossar.de" target="_blank">Glossar.de</a>
</div>
</div>

<div class="help_entry">
<div class="keyword">Administrators</div>
<div class="content">
	Administrators hebben het hoogste controleniveau op dit forum. Zij beschikken over de kracht om forumacties toe te passen (zoals toegangsrechten verlenen, mensen bannen, moderators aanduiden, enz). Bovendien hebben zij volledige moderatorrechten in ieder forum.
</div>
</div>

<div class="help_entry">
<div class="keyword">Bijlage</div>
<div class="content">
	Je mag bestanden toevoegen aan een bericht zodat iedereen dat bestand kan downloaden. Deze bestanden mogen niet groter zijn dan de weergegeven waarde of ze zullen afgekeurd worden. Nogmaals, je dient het bestand te selecteren in de laatste stap van een polldefinitie of het wordt afgekeurd.
</div>
</div>

<a name="b"></a>

<div class="help_entry">
<div class="keyword">BBCode</div>
<div class="content">
	Dit forum, net zoals vele andere systemen, maakt gebruik van een BBCode taal die basisopmaak toestaat. De meest gekende functies zijn:<br />
	- Letterype, grootte and vet/cursief stijle, onderlijnen/doorstrepen<br />
	- Voor- en achtergrondkleur<br />
	- Links naar internetpagina's en e-mailadressen<br />
	- Afbeeldingen<br />
	- Quotaties en codeblokken<br />
	Een complete BBCode referentie kun je vinden op de berichtenpagina.<br />
	Sommige BBCodes kan je automatisch invoegen door op een knop te klikken. Dit voegt tegelijkertijd een open- en een sluittag in. Voor zover je browser dit ondersteunt, wordt geselecteerde tekst tussen de tags geplaatst.<br />
	Gebruik van HTML is niet mogelijk.<br />
	<a href="<?php echo $MODULE['abbc_help'] ?>" target="_blank">Overzicht van de ABBC tags</a> | <a href="<?php echo $MODULE['derefer'] . PD ?>url=http://software.unclassified.de/abbc" target="_blank">ABBC website</a>
</div>
</div>

<a name="c"></a>

<div class="help_entry">
<div class="keyword">Gesloten discussies</div>
<div class="content">
	Je kan niet antwoorden op een gesloten discussie of poll. Er bestaan verschillende redenen waardoor men besluit een discussie te sluiten.<br />
	Discussies worden gesloten door een moderator of door een administrator.
</div>
</div>

<div class="help_entry">
<div class="keyword">Cookies</div>
<div class="content">
	Dit forum werkt volledig zonder cookies. Enkel bij een loging wordt er een cookie gemaakt met je gebruikers ID en je (versleutelde) wachtwoord.  Dit dient om je te identificeren als je later nog een bezoek aan het forum brengt. Het sessiemanagement van PHP zal uitmaken of je browser cookies ondersteund of niet. Als ze ondersteund worden, worden ze ingeschakeld, anders wordt er een sessie ID aan iedere link vastgehangen. In dit laatste geval geef je beter geen directe links weg, want dan kan een andere gebruiker op jouw account werken.
<br />
	Als je je in een internetcafé bevindt of als je je computer met anderen deelt, moet je ervoor zorgen om uit te loggen als je vertrekt (gebruik de link rechtsboven of rechtsonder de pagina), anders kunnen anderen jouw account gebruiken.<br />
	Je kan de automatische login voor een later bezoek uitschakelen in je controlepaneel. Dan bestaat wel de kan dat je nieuwe berichtwaarschuwingen niet correct meer werken.
</div>
</div>

<a name="d"></a>
<a name="e"></a>

<div class="help_entry">
<div class="keyword">E-Mails naar gebruikers</div>
<div class="content">
	Om de gebruikers van dit forum te beschermen tegen ongewilde reclame wordt hun e-mailadres nooit getoond. Je kan evenwel andere gebruikers een bericht sturen via een e-mailformulier.<br />
	Deze functie is enkel beschikbaar voor geregistreerde leden om misbruik te voorkomen.
</div>
</div>

<div class="help_entry">
<div class="keyword">Berichten bewerken</div>
<div class="content">
	Je kan je berichten altijd veranderen. Klik op de "Wijzig" link rechts van je bericht.<br />
	Wanneer je je bericht aanpast wordt de tijd en het aantal veranderingen onderaan je bericht geplaatst. Moderators en administrators kunnen je bericht wijzigen zonder een nota na te laten.<br />
	Berichten die door gasten geschreven zijn, kunnen enkel gewijzigd worden door mods/admins. In dit geval gebruik je best de voorbeeldfunctie waar nodig.
</div>
</div>

<a name="f"></a>
<a name="g"></a>
<a name="h"></a>
<a name="i"></a>
<a name="j"></a>
<a name="k"></a>
<a name="l"></a>

<div class="help_entry">
<div class="keyword">Login</div>
<div class="content">
	Om in te kunnen loggen met je gebruikersnaam en wachtwoord, moet je eerst geregistreerd zijn. Een login zorgt er bijvoorbeeld voor dat je berichten kan schrijven/wijzigen en kan deelnemen aan polls. Bovendien weet het forum welke berichten nieuw voor je zijn en welke je reeds gelezen hebt.
</div>
</div>

<a name="m"></a>

<div class="help_entry">
<div class="keyword">Boodschappen</div>
<div class="content">
	Boodschappen informeren je meestal over belangrijke dingen die je zo snel als mogelijk moet lezen. Ze verschijnen altijd bovenaan een forum. Als je ingelogd ben, kan je een boodschap 'bevestigen' door op de "Markeer als gelezen" link te klikken. De boodschap wordt daarna niet meer getoond.<br />
	Ook als je alle boodschappen gelezen hebt, kan je ze nog herbekijken door op de link te klikken die nu op de plaats staat van de boodschap.<br />
	Berichten kunnen enkel gemaakt, gewijzigd of verwijderd worden door moderators and administrators.
</div>
</div>

<div class="help_entry">
<div class="keyword">Moderators</div>
<div class="content">
	Moderators zijn eigenlijk gewone forumgebruikers (enkel met speciale rechten) die aandacht besteden aan alledaagse gebeurtenissen. Voor dit doel kunnen zijn berichten wijzigen of verwijderen en discussies sluiten of verplaatsen. Wat betreft de techniek of de inhoud van het forum, zijn zij zeker goede contactpersonen. Moderators hebben de taak om ongewenste onderwerpen en berichten de kop in te drukken.
</div>
</div>

<a name="n"></a>

<div class="help_entry">
<div class="keyword">Waarschuwingen</div>
<div class="content">
	Om snel iets te weten te komen over nieuwe berichten in een discussie, kan je de optie "Waarschuwing" selecteren. Dit kan ook geactiveerd worden voor een discussie terwijl je een bericht aan het schrijven bent. Thans worden enkel e-mail- en ICQ-waarschuwingen ondersteund. Om van deze mogelijkheid gebruik te maken, moet je je e-mailadres of je ICQ nummer in je controlepaneel invullen.
</div>
</div>

<a name="o"></a>
<a name="p"></a>

<div class="help_entry">
<div class="keyword">Polls</div>
<div class="content">
	Polls bieden de mogelijkheid om gebruikers te laten stemmen op een bepaalde vraag.<br />
	Je kan een poll aanmaken bij het begin van een nieuw onderwerp door de optie "Poll aanmaken" te selecteren. Op de "Voorbeeld" pagina kan je de vraag met alle mogelijke antwoorden ingeven, samen met een vervaltijd.<br />
	Polls kunnen laattijdig aangemaakt worden door het eerste bericht van de discussie te wijzigen. Gebruikers kunnen polls enkel wijzigen of verwijderen als nog niemand gestemd heeft.<br />
	Elk antwoord mag BBCode en smilies bevatten.<br />
	Om aan een poll deel te nemen, dien je een antwoord te selecteren en op "Stem" te klikken. Bij je volgende bezoek aan die pagina krijg je onmiddellijk de resultaten te zien, want je kan natuurlijk maar één keer stemmen.
</div>
</div>

<div class="help_entry">
<div class="keyword">Profiel / Controlepaneel</div>
<div class="content">
	Je gebruikersprofiel bevat statistische en soms vrijwillige informatie over jezelf. Deze informatie kan gelezen worden door iedere bezoeker van het forum (op je e-mailadres na). Na je login kan je deze gegevens wijzigen in je controlepaneel.<br />
	Een gebruikersprofiel bevat onder andere de volgende dingen:<br />
	- Datum van registratie en een laatste 'levensteken'<br />
	- Geschreven berichten<br />
	- Contactinformatie (e-mail formulier, ICQ, AIM, YIM, MSN)<br />
	- Website<br />
	- Geslacht, verjaardag<br />
	- Woonplaats<br />
	- Verdere beschrijving<br />
	- Avatar, foto<br />
</div>
</div>

<a name="q"></a>

<div class="help_entry">
<div class="keyword">Lidmaatschap opzeggen</div>
<div class="content">
	Als je besluit je lidmaatschap van dit forum op te zeggen, moet je een moderator of administrator persoonlijk contacteren. Deze actie kan namelijk niet door de gebruiker zelf uitgevoerd worden.
</div>
</div>

<a name="r"></a>

<div class="help_entry">
<div class="keyword">Registratie</div>
<div class="content">
	Je moet je registreren om alle functies te gebruiken. Registratie is gratis en zonder verplichting. Hierdoor krijg je een wachtwoord en een gebruikersnaam waarmee je kan inloggen. De gebruikernaam wordt naast al je berichten getoond.<br />
	Je heb ook een geldig e-mailadres nodig (dit hang af van de foruminstellingen) waarnaar een activatielink gestuurd zal worden. Je account wordt geactiveerd als je deze link volgt. Door dit te doen wordt de bereikbaarheid van je e-mailadres verzekerd. Je adres zal nooit zichtbaar zijn voor gasten of andere gebruikers (behalve administrators).
</div>
</div>

<a name="s"></a>

<div class="help_entry">
<div class="keyword">Zoekfunctie</div>
<div class="content">
	Je kan de zoekfunctie gebruiken om snel iets terug te vinden. Je kan één of meer woorden ingeven om te zoeken of om uit te sluiten (voorafgegaan door een minteken). Resultaten kunnen gesorteerd of gelimiteerd worden op datum en getoond op discussies of op berichten.<br />
	"Huidige onderwerpen sinds laatste login" op de overzichtpagina toont alle discussies waarin nieuwe berichten gepost zijn na je laatste bezoek. Nieuw bezoek is na een inactiviteit van <?php echo $session_inactive ?> minuten.
</div>
</div>

<div class="help_entry">
<div class="keyword">Ondertekening</div>
<div class="content">
	Een ondertekening is een stuk opgemaakte tekst (ook met afbeeldingen, links of smilies) dat automatisch onderaan al jouw posts getoond zal worden. De ondertekening kan veranderd worden in je controlepaneel. Deze veranderingen beïnvloeden ook reeds geschreven berichten. Er bestaat maar één versie van je ondertekening.<br />
	<?php echo $T['signature_note'] ?>
</div>
</div>

<div class="help_entry">
<div class="keyword">Smilies en speciale tekens</div>
<div class="content">
	Smilies zijn kleine afbeeldingen die je in je berichten kan invoegen om bijvoorbeeld emoties uit te drukken. Ze gaan ook wel onder de naam "emoticons" (<i>emotion icons</i>). Rechts van je berichtvenster is een tabel met beschikbare smilies. Speciale tekens staan rechts onder. Je kan een symbool invoegen door er op te klikken.<br />
	Gebruik niet teveel smilies, want dan wordt je bericht onleesbaar. Een moderator kan beslissen om een post te wijigen of volledig te verwijderen.<br />
	Als je tekst een representatie van een smilie bevat die niet naar een smilie omgezet moet worden, kan je het insluiten tussen "[#]...[/#]" of simpelweg de optie "Smilies uitschakelen" selecteren.
</div>
</div>

<div class="help_entry">
<div class="keyword">Statistieken</div>
<div class="content">
	De statistiekenpagina toont een samenvatting van de forumactiviteit, de meest actieve onderwerpen van de laatste dagen en enkel cijfers over allerhande data zoals bijvoorbeeld het totaal aantal berichten, het deel berichten van gasten of hun deelname aan polls.
</div>
</div>

<a name="t"></a>

<div class="help_entry">
<div class="keyword">Discussielijst</div>
<div class="content">
	Discussielijsten tonen alle onderwerpen in een forum. Ze bevatten:<br />
	- een icoon dat de status van een discussie of nieuwe post aanduid,<br />
	- het onderwerp een een optionele omschrijving,<br />
	- datum een auteur van het eerste bericht,<br />
	- totaal aantal bezichtigingen zowel als het aantal gebruikers dat deze discussie (gedeeltelijk) gelezen hebben,<br />
	- het totaal aantal antwoorden zowel als het aantal gebruikers dat een antwoord gepost heeft<br />
	- datum en auteur van het laatste bericht, met een directe link ernaartoe.<br /><br />

	De iconen zijn: (hangt af van de gekozen forumlayout)<br />
	<table>
		<tr>
			<td>&nbsp;</td>
			<td align="center">&nbsp; geen nieuwe berichten &nbsp;</td>
			<td align="center">&nbsp; nieuwe berichten &nbsp;</td>
		</tr>
		<tr>
			<td>normale discussie</td>
			<td align="center"><img <?php echo $IMG['thread'] ?> /></td>
			<td align="center"><img <?php echo $IMG['thread_new'] ?> /></td>
		</tr>
		<tr>
			<td>met eigen berichten</td>
			<td align="center"><img <?php echo $IMG['thread_own'] ?> /></td>
			<td align="center"><img <?php echo $IMG['thread_new_own'] ?> /></td>
		</tr>
		<tr>
			<td>gesloten discussie</td>
			<td align="center"><img <?php echo $IMG['thread_closed'] ?> /></td>
			<td align="center"><img <?php echo $IMG['thread_new_closed'] ?> /></td>
		</tr>
		<tr>
			<td>gesloten discussie met eigen berichten</td>
			<td align="center"><img <?php echo $IMG['thread_own_closed'] ?> /></td>
			<td align="center"><img <?php echo $IMG['thread_new_own_closed'] ?> /></td>
		</tr>
		<tr>
			<td>belangrijke discussie</td>
			<td align="center"><img <?php echo $IMG['thread_important'] ?> /></td>
			<td align="center"><img <?php echo $IMG['thread_new_important'] ?> /></td>
		</tr>
		<tr>
			<td>belangrijke discussie met eigen berichten</td>
			<td align="center"><img <?php echo $IMG['thread_own_important'] ?> /></td>
			<td align="center"><img <?php echo $IMG['thread_new_own_important'] ?> /></td>
		</tr>
		<tr>
			<td>gesloten belangrijke discussie</td>
			<td align="center"><img <?php echo $IMG['thread_closed_important'] ?> /></td>
			<td align="center"><img <?php echo $IMG['thread_new_closed_important'] ?> /></td>
		</tr>
		<tr>
			<td>gesloten belangrijke discussie met eigen berichten</td>
			<td align="center"><img <?php echo $IMG['thread_own_closed_important'] ?> /></td>
			<td align="center"><img <?php echo $IMG['thread_new_own_closed_important'] ?> /></td>
		</tr>
		<tr>
			<td>verplaatste discussie</td>
			<td align="center"><img <?php echo $IMG['thread_moved'] ?> /></td>
			<td align="center">&nbsp;</td>
		</tr>
	</table>
</div>
</div>

<a name="u"></a>

<div class="help_entry">
<div class="keyword">Unicode</div>
<div class="content">
	Dit forum is ontworpen met volledige unicode-ondersteuning. Het hangt evenwel ook van de browser af natuurlijk.  Deze ondersteunen unicode:<br />
	- Internet Explorer vanaf 6.0<br />
	- Mozilla (Win)<br />
	- Opera vanaf 7.2 (Win)<br />
	Vroegere versies of andere browsers (zoals Opera 7.0) tonen de tekens niet goed. Je moet daarom een geschikt lettertype op je systeem installeren.<br />
	Om het intikken van veelgebruikte symbolen makkelijker te maken is er een tabel met speciale tekens (onder de smilielijst).<br />
	Onderwerpen, gebruikersnamen en alle profielvelden kunnen speciale tekens bevatten. Zie "Gebruikersnaam" hieronder voor speciale tekens in een loginnaam.
</div>
</div>

<div class="help_entry">
<div class="keyword">Gebruikerslijst</div>
<div class="content">
	De gebruikerslijst toont alle geregistreerde gebruikers van het forum. Het bevat de gebruikersnaam, registratiedatum, contactinformatie, woonplaats, berichtenaantal en een link naar het laatst geplaatste bericht.<br />
	Deze lijst kan gesorteerd en gefilterd worden op verschillende criteria.
</div>
</div>

<div class="help_entry">
<div class="keyword">Gebruikersnaam</div>
<div class="content">
	Je gebruikersnaam is je loginnaam en zal bij al je berichten getoond worden. Je kan je naam niet wijzigen na je registratie, dus je denkt best twee maal na! Als je het toch wilt veranderen, dien je een moderator te contacteren.<br />
	Als je gebruikersnaam specialte tekens bevat waardoor je op een specifiek systeem niet kan inloggen, kan je je gebruiker ID hiervoor gebruiken.  Je vindt je gebruiker ID in je controlepaneel<br />
	Gebruikersnamen die enkel numerieke tekens bevatten zijn om deze reden niet toegelaten.
</div>
</div>

<a name="v"></a>
<a name="w"></a>
<a name="x"></a>
<a name="y"></a>
<a name="z"></a>
